total construct overlap = 78.3723
DEBUG: time 108 iteration 0
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 4
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 45
overlap 2 4 18.3723
overlap 2 5 11
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 78.3723
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 84.27
connectivity 1 2 123.439
connectivity 3 4 134.318
connectivity 4 5 221.72
total connect 563.747
total separate 0
total block 0
DEBUG: time 114 iteration 1
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 3.11102
overlap 1 3 0
overlap 1 4 0.141835
overlap 1 5 0
overlap 1 6 0
overlap 2 3 37.3127
overlap 2 4 13.1311
overlap 2 5 8.24255
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 61.9392
protrusion 0 0
protrusion 1 21.5368
protrusion 2 0
protrusion 3 6.77292
protrusion 4 1.4275
protrusion 5 8.29354
protrusion 6 0
total protrusion 38.0307
connectivity 0 3 84.8034
connectivity 1 2 123.632
connectivity 3 4 134.645
connectivity 4 5 226.413
total connect 569.494
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 5.60988
overlap 1 3 0
overlap 1 4 1.53522
overlap 1 5 0
overlap 1 6 0
overlap 2 3 35.8861
overlap 2 4 11.7834
overlap 2 5 6.57373
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 61.3883
protrusion 0 0
protrusion 1 17.9539
protrusion 2 0
protrusion 3 4.02321
protrusion 4 0.536147
protrusion 5 4.30088
protrusion 6 0
total protrusion 26.8141
connectivity 0 3 86.2546
connectivity 1 2 121.784
connectivity 3 4 135.134
connectivity 4 5 227.397
total connect 570.57
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 10.0867
overlap 1 3 0
overlap 1 4 2.18289
overlap 1 5 0
overlap 1 6 3.71855
overlap 2 3 28.4897
overlap 2 4 14.0231
overlap 2 5 4.75538
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 63.2563
protrusion 0 0
protrusion 1 15.1096
protrusion 2 0
protrusion 3 9.6612
protrusion 4 0
protrusion 5 4.8213
protrusion 6 0
total protrusion 29.5921
connectivity 0 3 86.6693
connectivity 1 2 118.145
connectivity 3 4 133.17
connectivity 4 5 224.915
total connect 562.9
total separate 0
total block 0
DEBUG: time 144 iteration 2
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 15.0766
overlap 1 3 0
overlap 1 4 0.910158
overlap 1 5 0
overlap 1 6 0.896403
overlap 2 3 11.7643
overlap 2 4 11.4795
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 40.127
protrusion 0 0
protrusion 1 22.8085
protrusion 2 0
protrusion 3 23.384
protrusion 4 0.843951
protrusion 5 8.59032
protrusion 6 0
total protrusion 55.6268
connectivity 0 3 85.8441
connectivity 1 2 115.602
connectivity 3 4 131.889
connectivity 4 5 226.282
total connect 559.617
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 25.162
overlap 1 3 0
overlap 1 4 0.582621
overlap 1 5 0
overlap 1 6 0
overlap 2 3 2.71092
overlap 2 4 12.0571
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 40.5127
protrusion 0 0
protrusion 1 13.3917
protrusion 2 0
protrusion 3 26.8892
protrusion 4 0.0172064
protrusion 5 8.70062
protrusion 6 0
total protrusion 48.9987
connectivity 0 3 85.9948
connectivity 1 2 112.523
connectivity 3 4 131.004
connectivity 4 5 224.238
total connect 553.76
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 37.9454
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 17.4093
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 55.3547
protrusion 0 0
protrusion 1 1.99257
protrusion 2 0
protrusion 3 21.9044
protrusion 4 0
protrusion 5 7.4216
protrusion 6 0
total protrusion 31.3186
connectivity 0 3 85.2082
connectivity 1 2 107.846
connectivity 3 4 127.808
connectivity 4 5 219.037
total connect 539.9
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 175 iteration 3
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 41.466
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 16.8733
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 58.3393
protrusion 0 0
protrusion 1 7.46154
protrusion 2 0
protrusion 3 17.4181
protrusion 4 0
protrusion 5 6.31224
protrusion 6 0
total protrusion 31.1919
connectivity 0 3 84.5111
connectivity 1 2 106.707
connectivity 3 4 126.059
connectivity 4 5 217.091
total connect 534.369
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 50.5248
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.0566
overlap 2 3 1.04511
overlap 2 4 16.2303
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 68.8568
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 4.53515
protrusion 4 0
protrusion 5 2.36082
protrusion 6 0
total protrusion 6.89597
connectivity 0 3 84.7648
connectivity 1 2 105.008
connectivity 3 4 123.557
connectivity 4 5 213.707
total connect 527.037
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 1.27699
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 62.6014
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 4.45658
overlap 2 3 7.98951
overlap 2 4 22.5268
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 1.01956
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 99.8709
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 84.3193
connectivity 1 2 101.566
connectivity 3 4 119.019
connectivity 4 5 207.309
total connect 512.214
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 204 iteration 4
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 67.8544
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.64716
overlap 2 3 11.106
overlap 2 4 15.5727
overlap 2 5 0.242123
overlap 2 6 0
overlap 3 4 0
overlap 3 5 1.81233
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 98.2348
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.08585
protrusion 5 0
protrusion 6 0
total protrusion 1.08585
connectivity 0 3 87.0187
connectivity 1 2 100.879
connectivity 3 4 114.5
connectivity 4 5 206.342
total connect 508.74
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 72.6145
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 14.0876
overlap 2 4 14.738
overlap 2 5 4.38112
overlap 2 6 0
overlap 3 4 0
overlap 3 5 2.50401
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 108.325
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.318619
protrusion 5 0
protrusion 6 0
total protrusion 0.318619
connectivity 0 3 89.4823
connectivity 1 2 100.284
connectivity 3 4 111.484
connectivity 4 5 203.78
total connect 505.031
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 80.965
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.962036
overlap 2 3 11.4873
overlap 2 4 20.2446
overlap 2 5 8.34676
overlap 2 6 0
overlap 3 4 0
overlap 3 5 2.74213
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 124.748
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 90.6909
connectivity 1 2 97.7914
connectivity 3 4 106.236
connectivity 4 5 198.078
total connect 492.796
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 235 iteration 5
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 87.7915
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 16.0211
overlap 2 5 9.19692
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0.853872
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 113.863
protrusion 0 0
protrusion 1 4.53063
protrusion 2 0
protrusion 3 0
protrusion 4 0.144621
protrusion 5 0
protrusion 6 0
total protrusion 4.67525
connectivity 0 3 91.1092
connectivity 1 2 97.0462
connectivity 3 4 102.815
connectivity 4 5 197.329
total connect 488.299
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 100.399
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 17.5447
overlap 2 5 10.3294
overlap 2 6 0
overlap 3 4 2.95423
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 131.227
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 91.5559
connectivity 1 2 96.0147
connectivity 3 4 100.877
connectivity 4 5 194.916
total connect 483.363
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 116.554
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 24.3305
overlap 2 5 12.0571
overlap 2 6 0
overlap 3 4 11.2846
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 164.226
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 91.2299
connectivity 1 2 93.2576
connectivity 3 4 97.1552
connectivity 4 5 189.404
total connect 471.047
total separate 0
total block 0
DEBUG: time 264 iteration 6
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 117.413
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 25.3009
overlap 2 5 12.5408
overlap 2 6 0
overlap 3 4 10.8714
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 166.126
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 88.9136
connectivity 1 2 93.6545
connectivity 3 4 98.3684
connectivity 4 5 188.831
total connect 469.768
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 122.795
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 31.9676
overlap 2 5 13.5749
overlap 2 6 0
overlap 3 4 13.7818
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 182.119
protrusion 0 0
protrusion 1 4.54627
protrusion 2 0.758656
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 5.30492
connectivity 0 3 85.8504
connectivity 1 2 92.0383
connectivity 3 4 97.1793
connectivity 4 5 185.073
total connect 460.141
total separate 0
total block 0
DEBUG: time 282 iteration 7
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 113.522
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 32.3902
overlap 2 5 11.9507
overlap 2 6 0
overlap 3 4 9.43739
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 167.3
protrusion 0 0
protrusion 1 23.5004
protrusion 2 1.71916
protrusion 3 2.38104
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 27.6005
connectivity 0 3 80.9111
connectivity 1 2 93.457
connectivity 3 4 100.176
connectivity 4 5 186.166
total connect 460.709
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 14.3003
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 106.611
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 35.4774
overlap 2 5 8.97953
overlap 2 6 0
overlap 3 4 7.24059
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 172.609
protrusion 0 0
protrusion 1 24.2132
protrusion 2 0
protrusion 3 0.449932
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 24.6631
connectivity 0 3 77.1921
connectivity 1 2 94.71
connectivity 3 4 101.631
connectivity 4 5 187.151
total connect 460.685
total separate 0
part 0 blocked by volume of 1.48092
total block 1.48092
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 45.4057
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 104.821
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 45.014
overlap 2 5 7.07514
overlap 2 6 0
overlap 3 4 8.3322
overlap 3 5 0.391138
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 211.04
protrusion 0 0
protrusion 1 23.5525
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 23.5525
connectivity 0 3 72.7855
connectivity 1 2 93.881
connectivity 3 4 100.492
connectivity 4 5 184.841
total connect 451.999
total separate 0
part 0 blocked by volume of 4.21567
total block 4.21567
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 104.821
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 45.014
overlap 2 5 7.07514
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0.465129
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 157.376
protrusion 0 0
protrusion 1 23.5525
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 23.5525
connectivity 0 3 178.474
connectivity 1 2 93.881
connectivity 3 4 110.46
connectivity 4 5 184.841
total connect 567.656
total separate 0
total block 0
DEBUG: time 358 iteration 8
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 91.9944
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 37.2162
overlap 2 5 4.77064
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 133.981
protrusion 0 0
protrusion 1 37.792
protrusion 2 0
protrusion 3 8.83157
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 46.6236
connectivity 0 3 177.896
connectivity 1 2 96.9128
connectivity 3 4 112.261
connectivity 4 5 189.301
total connect 576.371
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 87.199
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 30.6552
overlap 2 5 2.47302
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 120.327
protrusion 0 0
protrusion 1 34.2617
protrusion 2 0
protrusion 3 7.93464
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 42.1964
connectivity 0 3 177.833
connectivity 1 2 99.2364
connectivity 3 4 112.783
connectivity 4 5 193.321
total connect 583.173
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 87.0332
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 31.1283
overlap 2 5 1.05129
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 119.213
protrusion 0 0
protrusion 1 29.4695
protrusion 2 0
protrusion 3 5.76445
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 35.234
connectivity 0 3 174.864
connectivity 1 2 99.3504
connectivity 3 4 108.975
connectivity 4 5 193.705
total connect 576.894
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 386 iteration 9
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 75.1043
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 24.9538
overlap 2 5 3.77592
overlap 2 6 0
overlap 3 4 0.246399
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 104.08
protrusion 0 0
protrusion 1 39.4539
protrusion 2 0
protrusion 3 3.81129
protrusion 4 0.128792
protrusion 5 0
protrusion 6 0
total protrusion 43.394
connectivity 0 3 172.197
connectivity 1 2 102.498
connectivity 3 4 106.516
connectivity 4 5 198.288
total connect 579.498
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 70.5948
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 23.0101
overlap 2 5 7.91029
overlap 2 6 0
overlap 3 4 0.92376
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 102.439
protrusion 0 0
protrusion 1 32.094
protrusion 2 0
protrusion 3 0
protrusion 4 0.062354
protrusion 5 0
protrusion 6 0
total protrusion 32.1563
connectivity 0 3 170.297
connectivity 1 2 104.875
connectivity 3 4 104.592
connectivity 4 5 200.57
total connect 580.334
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 70.3609
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 27.0857
overlap 2 5 10.9426
overlap 2 6 0
overlap 3 4 8.07467
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 116.464
protrusion 0 0
protrusion 1 23.6739
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.63814
protrusion 6 0
total protrusion 30.312
connectivity 0 3 165.728
connectivity 1 2 105.037
connectivity 3 4 98.5701
connectivity 4 5 199.389
total connect 568.725
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 415 iteration 10
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 59.0666
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 28.2558
overlap 2 5 9.58656
overlap 2 6 0
overlap 3 4 9.36289
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 106.272
protrusion 0 0
protrusion 1 30.4682
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 18.0449
protrusion 6 0
total protrusion 48.5131
connectivity 0 3 163.618
connectivity 1 2 107.622
connectivity 3 4 97.3137
connectivity 4 5 202.323
total connect 570.877
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.737579
overlap 0 5 0
overlap 0 6 0
overlap 1 2 54.6345
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 6.2448
overlap 2 4 30.57
overlap 2 5 8.84608
overlap 2 6 0
overlap 3 4 10.5642
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 111.597
protrusion 0 0
protrusion 1 20.2371
protrusion 2 0
protrusion 3 0
protrusion 4 0.0476673
protrusion 5 14.0166
protrusion 6 0
total protrusion 34.3014
connectivity 0 3 161.744
connectivity 1 2 109.45
connectivity 3 4 96.21
connectivity 4 5 203.546
total connect 570.951
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.699863
overlap 0 5 0
overlap 0 6 0
overlap 1 2 54.0983
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.4251
overlap 2 4 40.6758
overlap 2 5 8.12638
overlap 2 6 0
overlap 3 4 21.5143
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 142.54
protrusion 0 0
protrusion 1 8.96213
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 5.44694
protrusion 6 0
total protrusion 14.4091
connectivity 0 3 157.179
connectivity 1 2 109.121
connectivity 3 4 90.9143
connectivity 4 5 201.38
total connect 558.595
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 444 iteration 11
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.16682
overlap 0 5 0
overlap 0 6 0
overlap 1 2 51.5218
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.2444
overlap 2 4 34.6143
overlap 2 5 4.23215
overlap 2 6 0
overlap 3 4 24.8188
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 133.598
protrusion 0 0
protrusion 1 13.6113
protrusion 2 0
protrusion 3 0
protrusion 4 0.820127
protrusion 5 1.71846
protrusion 6 0
total protrusion 16.1498
connectivity 0 3 155.376
connectivity 1 2 110.193
connectivity 3 4 89.3828
connectivity 4 5 203.739
total connect 558.69
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.64851
overlap 0 5 0
overlap 0 6 0
overlap 1 2 54.2925
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.0339
overlap 2 4 37.2075
overlap 2 5 5.14488
overlap 2 6 0
overlap 3 4 25.9876
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 141.315
protrusion 0 0
protrusion 1 2.41438
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.74118
protrusion 6 0
total protrusion 4.15556
connectivity 0 3 153.752
connectivity 1 2 110.603
connectivity 3 4 89.2243
connectivity 4 5 202.514
total connect 556.093
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.292147
overlap 0 5 0
overlap 0 6 0
overlap 1 2 60.2105
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.0927
overlap 2 4 48.1805
overlap 2 5 5.85639
overlap 2 6 0
overlap 3 4 38.8727
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 170.505
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.768601
protrusion 6 0
total protrusion 0.768601
connectivity 0 3 149.398
connectivity 1 2 109.018
connectivity 3 4 84.9137
connectivity 4 5 198.155
total connect 541.485
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 477 iteration 12
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0293951
overlap 0 5 0
overlap 0 6 0
overlap 1 2 63.3038
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 5.10398
overlap 2 4 42.509
overlap 2 5 2.7446
overlap 2 6 0
overlap 3 4 41.2903
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 154.981
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.6258
protrusion 6 0
total protrusion 2.6258
connectivity 0 3 147.934
connectivity 1 2 109.068
connectivity 3 4 84.841
connectivity 4 5 198.417
total connect 540.26
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 66.0346
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 37.6277
overlap 2 5 4.89508
overlap 2 6 0
overlap 3 4 43.5745
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 152.132
protrusion 0 0
protrusion 1 2.43236
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.52826
protrusion 6 0
total protrusion 3.96062
connectivity 0 3 146.638
connectivity 1 2 109.132
connectivity 3 4 84.8423
connectivity 4 5 197.151
total connect 537.763
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 72.2866
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 40.5618
overlap 2 5 6.82587
overlap 2 6 0
overlap 3 4 64.5386
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 184.213
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 142.626
connectivity 1 2 107.229
connectivity 3 4 80.8235
connectivity 4 5 192.822
total connect 523.5
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 508 iteration 13
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 72.8349
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 30.5231
overlap 2 5 6.64219
overlap 2 6 0
overlap 3 4 64.0487
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 174.049
protrusion 0 0
protrusion 1 9.63945
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.507774
protrusion 6 0
total protrusion 10.1472
connectivity 0 3 140.719
connectivity 1 2 108.037
connectivity 3 4 81.318
connectivity 4 5 192.892
total connect 522.965
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 79.3858
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 25.0229
overlap 2 5 15.6012
overlap 2 6 0
overlap 3 4 63.3597
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 183.37
protrusion 0 0
protrusion 1 9.99412
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.99412
connectivity 0 3 139.029
connectivity 1 2 106.996
connectivity 3 4 81.8004
connectivity 4 5 191.432
total connect 519.258
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 89.6624
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 26.3906
overlap 2 5 24.4103
overlap 2 6 0
overlap 3 4 82.6524
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 223.116
protrusion 0 0
protrusion 1 9.86704
protrusion 2 0
protrusion 3 0.146125
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 10.0132
connectivity 0 3 134.698
connectivity 1 2 104.121
connectivity 3 4 78.2991
connectivity 4 5 187.016
total connect 504.134
total separate 0
total block 0
DEBUG: time 539 iteration 14
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 87.5141
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 25.9742
overlap 2 5 24.923
overlap 2 6 0
overlap 3 4 77.2081
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 215.619
protrusion 0 0
protrusion 1 23.1101
protrusion 2 0
protrusion 3 8.6837
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 31.7938
connectivity 0 3 132.358
connectivity 1 2 103.58
connectivity 3 4 79.8517
connectivity 4 5 186.512
total connect 502.301
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 91.1436
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 25.5971
overlap 2 5 25.3843
overlap 2 6 0
overlap 3 4 78.0439
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 220.169
protrusion 0 0
protrusion 1 18.683
protrusion 2 0
protrusion 3 7.52218
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 26.2052
connectivity 0 3 130.749
connectivity 1 2 102.758
connectivity 3 4 79.7443
connectivity 4 5 186.07
total connect 499.321
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 98.7962
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 30.7154
overlap 2 5 26.2846
overlap 2 6 0
overlap 3 4 100.73
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 256.526
protrusion 0 0
protrusion 1 13.4648
protrusion 2 0
protrusion 3 4.05772
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 17.5225
connectivity 0 3 126.516
connectivity 1 2 100.048
connectivity 3 4 75.7592
connectivity 4 5 182.641
total connect 484.964
total separate 0
total block 0
DEBUG: time 568 iteration 15
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.222858
overlap 0 5 0
overlap 0 6 0
overlap 1 2 93.237
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 34.0205
overlap 2 5 19.905
overlap 2 6 0
overlap 3 4 97.2993
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 244.685
protrusion 0 0
protrusion 1 22.3674
protrusion 2 0
protrusion 3 5.78015
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 28.1475
connectivity 0 3 124.242
connectivity 1 2 99.6856
connectivity 3 4 76.6915
connectivity 4 5 183.039
total connect 483.659
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.78469
overlap 0 5 0
overlap 0 6 0
overlap 1 2 94.1589
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 37.509
overlap 2 5 14.1634
overlap 2 6 0
overlap 3 4 100.692
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 248.308
protrusion 0 0
protrusion 1 14.0338
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 14.0338
connectivity 0 3 122.698
connectivity 1 2 99.0214
connectivity 3 4 75.9069
connectivity 4 5 183.427
total connect 481.053
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.39245
overlap 0 5 0
overlap 0 6 0
overlap 1 2 99.2478
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 48.7206
overlap 2 5 10.8406
overlap 2 6 0
overlap 3 4 129.386
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 289.587
protrusion 0 0
protrusion 1 5.13352
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 5.13352
connectivity 0 3 118.595
connectivity 1 2 96.4468
connectivity 3 4 71.3498
connectivity 4 5 180.778
total connect 467.17
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 599 iteration 16
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.23618
overlap 0 5 0
overlap 0 6 0
overlap 1 2 92.4694
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 51.9084
overlap 2 5 8.62366
overlap 2 6 0
overlap 3 4 129.972
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 285.21
protrusion 0 0
protrusion 1 11.2572
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.698975
protrusion 6 0
total protrusion 11.9562
connectivity 0 3 118.096
connectivity 1 2 97.3262
connectivity 3 4 71.1212
connectivity 4 5 182.472
total connect 469.015
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.0972
overlap 0 5 0
overlap 0 6 0
overlap 1 2 92.7219
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 55.0733
overlap 2 5 7.73607
overlap 2 6 0
overlap 3 4 130.499
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 289.128
protrusion 0 0
protrusion 1 0.422635
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.422635
connectivity 0 3 117.648
connectivity 1 2 97.7158
connectivity 3 4 70.9172
connectivity 4 5 182.417
total connect 468.698
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.46285
overlap 0 5 0
overlap 0 6 0
overlap 1 2 97.1961
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 63.8954
overlap 2 5 10.4401
overlap 2 6 0
overlap 3 4 158.198
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 331.192
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 114.535
connectivity 1 2 96.091
connectivity 3 4 66.9437
connectivity 4 5 179.388
total connect 456.958
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 632 iteration 17
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.29912
overlap 0 5 0
overlap 0 6 0
overlap 1 2 89.5139
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 64.0516
overlap 2 5 10.8282
overlap 2 6 0
overlap 3 4 157
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 322.693
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 114.885
connectivity 1 2 97.79
connectivity 3 4 66.996
connectivity 4 5 180.839
total connect 460.511
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 86.8195
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 70.1274
overlap 2 5 11.7522
overlap 2 6 0
overlap 3 4 185.529
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 354.228
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 112.509
connectivity 1 2 97.364
connectivity 3 4 63.326
connectivity 4 5 179.205
total connect 452.404
total separate 0
total block 0
DEBUG: time 653 iteration 18
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.298447
overlap 0 5 0
overlap 0 6 0
overlap 1 2 73.3541
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 67.6806
overlap 2 5 10.5368
overlap 2 6 0
overlap 3 4 182.122
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 333.992
protrusion 0 0
protrusion 1 11.7216
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 11.7216
connectivity 0 3 111.986
connectivity 1 2 100.185
connectivity 3 4 63.5861
connectivity 4 5 181.821
total connect 457.579
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.935349
overlap 0 5 0
overlap 0 6 0
overlap 1 2 67.8168
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 65.064
overlap 2 5 9.44301
overlap 2 6 0
overlap 3 4 179.181
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 322.44
protrusion 0 0
protrusion 1 10.1507
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.71874
protrusion 6 0
total protrusion 11.8695
connectivity 0 3 111.523
connectivity 1 2 102.235
connectivity 3 4 63.8252
connectivity 4 5 184.179
total connect 461.763
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0863164
overlap 0 5 0
overlap 0 6 0
overlap 1 2 66.6599
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 2.9902
overlap 2 4 69.1592
overlap 2 5 9.72442
overlap 2 6 0
overlap 3 4 210.671
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 359.291
protrusion 0 0
protrusion 1 6.67614
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.46034
protrusion 6 0
total protrusion 9.13648
connectivity 0 3 108.423
connectivity 1 2 102.107
connectivity 3 4 60.3582
connectivity 4 5 183.384
total connect 454.272
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 686 iteration 19
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0712555
overlap 0 5 0
overlap 0 6 0
overlap 1 2 63.437
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 58.6802
overlap 2 5 5.40373
overlap 2 6 0
overlap 3 4 206.075
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 333.667
protrusion 0 0
protrusion 1 18.4878
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.21667
protrusion 6 0
total protrusion 24.7045
connectivity 0 3 108.687
connectivity 1 2 103.263
connectivity 3 4 60.7137
connectivity 4 5 186.576
total connect 459.24
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0585464
overlap 0 5 0
overlap 0 6 0
overlap 1 2 66.3642
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 49.4783
overlap 2 5 8.19342
overlap 2 6 0
overlap 3 4 202.013
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 326.107
protrusion 0 0
protrusion 1 12.7724
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.58647
protrusion 6 0
total protrusion 19.3589
connectivity 0 3 108.948
connectivity 1 2 103.748
connectivity 3 4 61.038
connectivity 4 5 187.886
total connect 461.62
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 72.7328
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 47.2493
overlap 2 5 11.3504
overlap 2 6 0
overlap 3 4 235.745
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 367.077
protrusion 0 0
protrusion 1 5.61436
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 5.67407
protrusion 6 0
total protrusion 11.2884
connectivity 0 3 106.507
connectivity 1 2 102.23
connectivity 3 4 57.6785
connectivity 4 5 186.176
total connect 452.591
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 725 iteration 20
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 67.4243
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 38.669
overlap 2 5 11.1778
overlap 2 6 0
overlap 3 4 229.566
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 346.837
protrusion 0 0
protrusion 1 13.7995
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 7.96858
protrusion 6 0
total protrusion 21.7681
connectivity 0 3 106.249
connectivity 1 2 103.941
connectivity 3 4 57.6248
connectivity 4 5 188.835
total connect 456.65
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0373114
overlap 0 5 0
overlap 0 6 0
overlap 1 2 68.3896
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 31.5754
overlap 2 5 17.1486
overlap 2 6 0
overlap 3 4 223.995
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 341.146
protrusion 0 0
protrusion 1 4.82031
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.70956
protrusion 6 0
total protrusion 11.5299
connectivity 0 3 106.029
connectivity 1 2 104.969
connectivity 3 4 57.6001
connectivity 4 5 189.67
total connect 458.268
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 72.9751
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.32183
overlap 2 3 0
overlap 2 4 30.6657
overlap 2 5 23.127
overlap 2 6 0
overlap 3 4 257.592
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 385.681
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.328096
protrusion 5 4.43249
protrusion 6 0
total protrusion 4.76058
connectivity 0 3 103.14
connectivity 1 2 103.931
connectivity 3 4 53.9203
connectivity 4 5 187.562
total connect 448.553
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 759 iteration 21
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.376866
overlap 0 5 0
overlap 0 6 0
overlap 1 2 66.6168
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 28.4711
overlap 2 5 21.1992
overlap 2 6 0
overlap 3 4 249.362
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 366.026
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.72201
protrusion 5 5.37055
protrusion 6 0
total protrusion 7.09255
connectivity 0 3 102.559
connectivity 1 2 105.717
connectivity 3 4 53.5582
connectivity 4 5 189.787
total connect 451.62
total separate 0
part 0 blocked by volume of 4.33583e-06
total block 4.33583e-06
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.72021
overlap 0 5 0
overlap 0 6 0
overlap 1 2 61.1055
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 33.7631
overlap 2 5 25.7488
overlap 2 6 0
overlap 3 4 237.707
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 360.045
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.415621
protrusion 5 3.16387
protrusion 6 0
total protrusion 3.57949
connectivity 0 3 102.039
connectivity 1 2 107.339
connectivity 3 4 55.4877
connectivity 4 5 188.448
total connect 453.315
total separate 0
part 0 blocked by volume of 0.149262
total block 0.149262
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.27307
overlap 0 5 0
overlap 0 6 0
overlap 1 2 59.754
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 2.83758
overlap 2 4 45.1048
overlap 2 5 30.5415
overlap 2 6 0
overlap 3 4 266.38
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 405.891
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.321182
protrusion 6 0
total protrusion 0.321182
connectivity 0 3 98.8752
connectivity 1 2 106.833
connectivity 3 4 53.6178
connectivity 4 5 184.387
total connect 443.713
total separate 0
part 0 blocked by volume of 0.0569411
total block 0.0569411
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.46862
overlap 0 5 0
overlap 0 6 0
overlap 1 2 58.4788
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 5.85513
overlap 2 4 56.0777
overlap 2 5 34.7786
overlap 2 6 0
overlap 3 4 292.595
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 450.254
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 94.3428
connectivity 1 2 106.387
connectivity 3 4 52.1045
connectivity 4 5 180.742
total connect 433.576
total separate 0
part 0 blocked by volume of 0.319127
total block 0.319127
DEBUG: updating best solution
DEBUG: time 801 iteration 22
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.74382
overlap 0 5 0
overlap 0 6 0
overlap 1 2 54.9303
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 3.7041
overlap 2 4 51.5057
overlap 2 5 35.0433
overlap 2 6 0
overlap 3 4 277.803
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 427.73
protrusion 0 0
protrusion 1 4.85942
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.85942
connectivity 0 3 93.6173
connectivity 1 2 107.468
connectivity 3 4 53.5715
connectivity 4 5 181.534
total connect 436.191
total separate 0
part 0 blocked by volume of 1.26759
total block 1.26759
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 6.93978
overlap 0 5 0
overlap 0 6 0
overlap 1 2 57.1617
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.73556
overlap 2 4 47.4162
overlap 2 5 35.4211
overlap 2 6 0
overlap 3 4 264.485
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 413.159
protrusion 0 0
protrusion 1 0.532478
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.532478
connectivity 0 3 92.9809
connectivity 1 2 107.872
connectivity 3 4 54.9107
connectivity 4 5 182.255
total connect 438.019
total separate 0
part 0 blocked by volume of 2.54697
total block 2.54697
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 6.35962
overlap 0 5 0
overlap 0 6 0
overlap 1 2 62.6861
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.19428
overlap 2 4 49.7236
overlap 2 5 36.5441
overlap 2 6 0
overlap 3 4 292.558
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 449.065
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 89.7525
connectivity 1 2 106.275
connectivity 3 4 52.6024
connectivity 4 5 180.128
total connect 428.757
total separate 0
part 0 blocked by volume of 2.81706
total block 2.81706
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 62.6861
overlap 1 3 0
overlap 1 4 29.2099
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.19428
overlap 2 4 0
overlap 2 5 36.5441
overlap 2 6 0
overlap 3 4 42.026
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 171.66
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 144.63
connectivity 1 2 106.275
connectivity 3 4 84.7193
connectivity 4 5 218.004
total connect 553.629
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 866 iteration 23
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 55.3455
overlap 1 3 0
overlap 1 4 30.2951
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.926327
overlap 2 4 0
overlap 2 5 25.0207
overlap 2 6 0
overlap 3 4 27.9482
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 139.536
protrusion 0 0
protrusion 1 6.51861
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.414351
protrusion 6 0
total protrusion 6.93296
connectivity 0 3 142.59
connectivity 1 2 107.195
connectivity 3 4 89.3428
connectivity 4 5 222.143
total connect 561.27
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 54.2314
overlap 1 3 0
overlap 1 4 33.6355
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.638985
overlap 2 4 0
overlap 2 5 21.793
overlap 2 6 0
overlap 3 4 18.8589
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 129.158
protrusion 0 0
protrusion 1 0.931938
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.0358691
protrusion 6 0
total protrusion 0.967807
connectivity 0 3 140.757
connectivity 1 2 107.473
connectivity 3 4 93.5122
connectivity 4 5 224.167
total connect 565.91
total separate 0
part 1 blocked by volume of 2.84217e-14
total block 2.84217e-14
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 56.6468
overlap 1 3 0
overlap 1 4 33.5053
overlap 1 5 0
overlap 1 6 0
overlap 2 3 4.54951
overlap 2 4 0
overlap 2 5 19.32
overlap 2 6 0
overlap 3 4 16.1421
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 130.164
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 137.999
connectivity 1 2 105.747
connectivity 3 4 94.6781
connectivity 4 5 222.645
total connect 561.069
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 898 iteration 24
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 53.2247
overlap 1 3 0
overlap 1 4 23.2881
overlap 1 5 0
overlap 1 6 0
overlap 2 3 5.49942
overlap 2 4 0.208703
overlap 2 5 6.4769
overlap 2 6 0
overlap 3 4 14.8917
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 103.59
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.814756
protrusion 5 0
protrusion 6 0
total protrusion 0.814756
connectivity 0 3 133.914
connectivity 1 2 104.588
connectivity 3 4 95.122
connectivity 4 5 222.907
total connect 556.531
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 49.8334
overlap 1 3 0
overlap 1 4 17.487
overlap 1 5 0
overlap 1 6 0
overlap 2 3 6.42076
overlap 2 4 2.1333
overlap 2 5 0
overlap 2 6 0
overlap 3 4 12.2627
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 88.1372
protrusion 0 0
protrusion 1 4.6565
protrusion 2 0
protrusion 3 0
protrusion 4 0.131514
protrusion 5 1.06683
protrusion 6 0
total protrusion 5.85484
connectivity 0 3 130.237
connectivity 1 2 103.595
connectivity 3 4 96.8746
connectivity 4 5 221.636
total connect 552.342
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 49.8895
overlap 1 3 0
overlap 1 4 10.282
overlap 1 5 0
overlap 1 6 0
overlap 2 3 13.2987
overlap 2 4 7.19045
overlap 2 5 0
overlap 2 6 0.0960248
overlap 3 4 14.0966
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 94.8533
protrusion 0 0
protrusion 1 6.75634
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.0302
protrusion 6 0
total protrusion 7.78654
connectivity 0 3 125.852
connectivity 1 2 100.765
connectivity 3 4 95.8845
connectivity 4 5 217.149
total connect 539.65
total separate 0
total block 0
DEBUG: time 928 iteration 25
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 43.7854
overlap 1 3 0
overlap 1 4 4.06875
overlap 1 5 0
overlap 1 6 0
overlap 2 3 10.525
overlap 2 4 9.12959
overlap 2 5 0
overlap 2 6 1.94576
overlap 3 4 11.7321
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 81.1866
protrusion 0 0
protrusion 1 22.1368
protrusion 2 0
protrusion 3 0
protrusion 4 0.344104
protrusion 5 0.997277
protrusion 6 0
total protrusion 23.4782
connectivity 0 3 120.533
connectivity 1 2 101.394
connectivity 3 4 97.073
connectivity 4 5 215.724
total connect 534.724
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 44.6628
overlap 1 3 0
overlap 1 4 1.3957
overlap 1 5 0
overlap 1 6 0
overlap 2 3 7.36917
overlap 2 4 17.415
overlap 2 5 0
overlap 2 6 3.61052
overlap 3 4 8.45951
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 82.9127
protrusion 0 0
protrusion 1 19.6334
protrusion 2 0
protrusion 3 0.168966
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.8023
connectivity 0 3 115.747
connectivity 1 2 101.212
connectivity 3 4 99.5133
connectivity 4 5 211.217
total connect 527.689
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 48.9842
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 10.0771
overlap 2 4 35.3815
overlap 2 5 0
overlap 2 6 7.187
overlap 3 4 9.13578
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 110.766
protrusion 0 0
protrusion 1 14.5196
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 14.5196
connectivity 0 3 110.384
connectivity 1 2 99.0708
connectivity 3 4 99.1788
connectivity 4 5 203.847
total connect 512.481
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 959 iteration 26
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 47.2149
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 3.03218
overlap 2 4 38.2926
overlap 2 5 0
overlap 2 6 4.39227
overlap 3 4 5.1295
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 98.0614
protrusion 0 0
protrusion 1 25.7096
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 25.7096
connectivity 0 3 104.114
connectivity 1 2 99.6257
connectivity 3 4 102.119
connectivity 4 5 199.94
total connect 505.799
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 52.1539
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 40.8016
overlap 2 5 0
overlap 2 6 1.87701
overlap 3 4 2.34153
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 97.1741
protrusion 0 0
protrusion 1 20.9525
protrusion 2 0
protrusion 3 3.2556
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 24.2081
connectivity 0 3 98.4741
connectivity 1 2 99.3764
connectivity 3 4 104.767
connectivity 4 5 196.436
total connect 499.053
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 60.3413
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 51.5516
overlap 2 5 2.99449
overlap 2 6 1.70424
overlap 3 4 2.16329
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 118.755
protrusion 0 0
protrusion 1 11.056
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 11.056
connectivity 0 3 92.3974
connectivity 1 2 97.2022
connectivity 3 4 104.67
connectivity 4 5 190.002
total connect 484.272
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 990 iteration 27
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 57.5075
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 47.5922
overlap 2 5 7.79948
overlap 2 6 0
overlap 3 4 0
overlap 3 5 2.82943
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 115.729
protrusion 0 0
protrusion 1 19.0784
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.0784
connectivity 0 3 84.8346
connectivity 1 2 98.3256
connectivity 3 4 107.707
connectivity 4 5 188.912
total connect 479.78
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 29.7277
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 61.8602
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 43.8641
overlap 2 5 12.124
overlap 2 6 0
overlap 3 4 0
overlap 3 5 7.10501
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 154.681
protrusion 0 0
protrusion 1 11.0268
protrusion 2 0
protrusion 3 0
protrusion 4 0.0390733
protrusion 5 0
protrusion 6 0
total protrusion 11.0659
connectivity 0 3 78.1333
connectivity 1 2 97.9573
connectivity 3 4 110.57
connectivity 4 5 187.954
total connect 474.614
total separate 0
part 0 blocked by volume of 0.946745
total block 0.946745
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 68.2186
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 69.7073
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 48.2648
overlap 2 5 16.7882
overlap 2 6 0
overlap 3 4 0
overlap 3 5 10.2358
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 213.215
protrusion 0 0
protrusion 1 1.26741
protrusion 2 0
protrusion 3 0.344737
protrusion 4 0.62166
protrusion 5 0
protrusion 6 0
total protrusion 2.23381
connectivity 0 3 71.3108
connectivity 1 2 95.6668
connectivity 3 4 110.877
connectivity 4 5 183.79
total connect 461.645
total separate 0
part 0 blocked by volume of 3.54555
total block 3.54555
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 112.947
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 77.0662
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.370328
overlap 2 3 0
overlap 2 4 51.3528
overlap 2 5 20.986
overlap 2 6 0
overlap 3 4 0
overlap 3 5 12.8179
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 275.54
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 5.85429
protrusion 4 1.44288
protrusion 5 0
protrusion 6 0
total protrusion 7.29718
connectivity 0 3 63.6113
connectivity 1 2 93.6211
connectivity 3 4 111.156
connectivity 4 5 180.094
total connect 448.482
total separate 0
part 0 blocked by volume of 8.06185
total block 8.06185
DEBUG: time 1026 iteration 28
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 129.969
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 71.3201
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.315818
overlap 2 3 0
overlap 2 4 47.6686
overlap 2 5 18.4423
overlap 2 6 0
overlap 3 4 0
overlap 3 5 11.1665
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 278.882
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 12.199
protrusion 4 5.89241
protrusion 5 0
protrusion 6 0
total protrusion 18.0914
connectivity 0 3 59.9723
connectivity 1 2 94.8006
connectivity 3 4 109.756
connectivity 4 5 181.397
total connect 445.926
total separate 0
part 0 blocked by volume of 11.9219
total block 11.9219
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 145.289
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 66.2494
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.266759
overlap 2 3 0
overlap 2 4 53.6829
overlap 2 5 16.1529
overlap 2 6 0
overlap 3 4 0
overlap 3 5 12.023
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 293.664
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 9.06398
protrusion 4 6.07311
protrusion 5 0
protrusion 6 0
total protrusion 15.1371
connectivity 0 3 57.7098
connectivity 1 2 95.8759
connectivity 3 4 108.73
connectivity 4 5 180.783
total connect 443.099
total separate 0
part 0 blocked by volume of 13.311
total block 13.311
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 157.598
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 65.5758
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 2.81614
overlap 2 3 0
overlap 2 4 66.7263
overlap 2 5 14.7933
overlap 2 6 0
overlap 3 4 0.368795
overlap 3 5 11.2652
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 319.143
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 14.1467
protrusion 4 5.58074
protrusion 5 0
protrusion 6 0
total protrusion 19.7275
connectivity 0 3 54.8045
connectivity 1 2 94.8775
connectivity 3 4 105.531
connectivity 4 5 176.947
total connect 432.161
total separate 0
part 0 blocked by volume of 17.5368
total block 17.5368
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 65.5758
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 2.81614
overlap 2 3 44.4255
overlap 2 4 66.7263
overlap 2 5 14.7933
overlap 2 6 0
overlap 3 4 0
overlap 3 5 51.7333
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 246.07
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 5.58074
protrusion 5 0
protrusion 6 0
total protrusion 5.58074
connectivity 0 3 187.544
connectivity 1 2 94.8775
connectivity 3 4 96.7491
connectivity 4 5 176.947
total connect 556.117
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 1103 iteration 29
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 63.7549
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 38.5866
overlap 2 4 56.1162
overlap 2 5 4.70218
overlap 2 6 0
overlap 3 4 0
overlap 3 5 43.266
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 206.426
protrusion 0 0
protrusion 1 8.30867
protrusion 2 0
protrusion 3 0
protrusion 4 9.91731
protrusion 5 0
protrusion 6 0
total protrusion 18.226
connectivity 0 3 186.249
connectivity 1 2 95.1452
connectivity 3 4 97.4821
connectivity 4 5 181.473
total connect 560.349
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 69.0119
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 33.5806
overlap 2 4 55.7372
overlap 2 5 3.77965
overlap 2 6 0
overlap 3 4 0
overlap 3 5 36.2587
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 198.368
protrusion 0 0
protrusion 1 1.78858
protrusion 2 0
protrusion 3 0
protrusion 4 8.77271
protrusion 5 0
protrusion 6 0
total protrusion 10.5613
connectivity 0 3 185.098
connectivity 1 2 94.7021
connectivity 3 4 98.5782
connectivity 4 5 183.702
total connect 562.081
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 77.8863
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 30.0571
overlap 2 4 63.8251
overlap 2 5 3.89855
overlap 2 6 0
overlap 3 4 1.71551
overlap 3 5 28.2307
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 205.613
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 6.43144
protrusion 5 0
protrusion 6 0
total protrusion 6.43144
connectivity 0 3 181.092
connectivity 1 2 92.3506
connectivity 3 4 95.0731
connectivity 4 5 182.234
total connect 550.75
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 1134 iteration 30
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 78.0134
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 23.7975
overlap 2 4 57.4946
overlap 2 5 3.35566
overlap 2 6 0.569316
overlap 3 4 3.56519
overlap 3 5 17.7715
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 184.567
protrusion 0 0
protrusion 1 8.63225
protrusion 2 0
protrusion 3 0
protrusion 4 7.64441
protrusion 5 0
protrusion 6 0
total protrusion 16.2767
connectivity 0 3 177.319
connectivity 1 2 93.053
connectivity 3 4 94.6468
connectivity 4 5 185.682
total connect 550.7
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 84.999
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 17.4133
overlap 2 4 58.5352
overlap 2 5 2.81267
overlap 2 6 2.26876
overlap 3 4 5.56605
overlap 3 5 10.153
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 181.748
protrusion 0 0
protrusion 1 2.56001
protrusion 2 0
protrusion 3 0
protrusion 4 4.09979
protrusion 5 0
protrusion 6 0
total protrusion 6.6598
connectivity 0 3 173.968
connectivity 1 2 91.7826
connectivity 3 4 95.1658
connectivity 4 5 186.983
total connect 547.899
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 95.8467
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 11.092
overlap 2 4 67.9793
overlap 2 5 2.58507
overlap 2 6 5.93627
overlap 3 4 17.2026
overlap 3 5 3.19778
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 203.84
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 1.01218
protrusion 5 0
protrusion 6 0
total protrusion 1.01218
connectivity 0 3 168.035
connectivity 1 2 88.6854
connectivity 3 4 91.5713
connectivity 4 5 184.764
total connect 533.055
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 1164 iteration 31
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 96.5508
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.261916
overlap 2 4 63.1673
overlap 2 5 2.02129
overlap 2 6 2.85052
overlap 3 4 18.5239
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 183.376
protrusion 0 0
protrusion 1 0.00952428
protrusion 2 0
protrusion 3 0
protrusion 4 0.374139
protrusion 5 0
protrusion 6 0
total protrusion 0.383663
connectivity 0 3 163.305
connectivity 1 2 88.8315
connectivity 3 4 92.1705
connectivity 4 5 187.376
total connect 531.683
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 104.498
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 67.1408
overlap 2 5 1.38753
overlap 2 6 0.0733377
overlap 3 4 16.9679
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 190.068
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.65298
protrusion 6 0
total protrusion 2.65298
connectivity 0 3 159.132
connectivity 1 2 88.4572
connectivity 3 4 94.3674
connectivity 4 5 188.021
total connect 529.978
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 116.326
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 78.5041
overlap 2 5 0.747468
overlap 2 6 0
overlap 3 4 22.7026
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 218.28
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 4.99612
protrusion 6 0
total protrusion 4.99612
connectivity 0 3 152.547
connectivity 1 2 86.2014
connectivity 3 4 92.7625
connectivity 4 5 185.374
total connect 516.885
total separate 0
total block 0
DEBUG: time 1194 iteration 32
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 115.765
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 75.494
overlap 2 5 0
overlap 2 6 0
overlap 3 4 19.9085
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 211.168
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 12.7356
protrusion 4 0
protrusion 5 10.7685
protrusion 6 0
total protrusion 23.5041
connectivity 0 3 148.307
connectivity 1 2 87.2653
connectivity 3 4 95.0145
connectivity 4 5 187.538
total connect 518.124
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.034096
overlap 0 5 0
overlap 0 6 0
overlap 1 2 115.219
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.01756
overlap 2 3 0
overlap 2 4 72.7862
overlap 2 5 0.0377653
overlap 2 6 0
overlap 3 4 19.2985
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 208.393
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 19.145
protrusion 4 0
protrusion 5 12.7722
protrusion 6 0
total protrusion 31.9171
connectivity 0 3 145.015
connectivity 1 2 88.2266
connectivity 3 4 95.8289
connectivity 4 5 187.886
total connect 516.957
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 119.306
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 5.17448
overlap 2 3 0
overlap 2 4 76.624
overlap 2 5 0.233613
overlap 2 6 0
overlap 3 4 29.4281
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 230.766
protrusion 0 0
protrusion 1 0.0623217
protrusion 2 0
protrusion 3 22.669
protrusion 4 0
protrusion 5 13.056
protrusion 6 0
total protrusion 35.7873
connectivity 0 3 139.236
connectivity 1 2 87.1178
connectivity 3 4 92.66
connectivity 4 5 185.054
total connect 504.068
total separate 0
total block 0
DEBUG: time 1223 iteration 33
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.15283
overlap 0 5 0
overlap 0 6 0
overlap 1 2 112.588
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 2.61794
overlap 2 3 0
overlap 2 4 67.6788
overlap 2 5 0.254055
overlap 2 6 0
overlap 3 4 28.5537
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 212.845
protrusion 0 0
protrusion 1 13.7831
protrusion 2 0
protrusion 3 31.1768
protrusion 4 0
protrusion 5 17.4876
protrusion 6 0
total protrusion 62.4476
connectivity 0 3 135.506
connectivity 1 2 89.7759
connectivity 3 4 93.2468
connectivity 4 5 186.831
total connect 505.359
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.43378
overlap 0 5 0
overlap 0 6 0
overlap 1 2 113.532
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.31706
overlap 2 3 0
overlap 2 4 59.8231
overlap 2 5 1.88103
overlap 2 6 0
overlap 3 4 31.7031
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 210.69
protrusion 0 0
protrusion 1 9.786
protrusion 2 0
protrusion 3 29.9885
protrusion 4 0
protrusion 5 17.3044
protrusion 6 0
total protrusion 57.079
connectivity 0 3 132.579
connectivity 1 2 91.7992
connectivity 3 4 92.2113
connectivity 4 5 186.792
total connect 503.381
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.11925
overlap 0 5 0
overlap 0 6 0
overlap 1 2 118.715
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.936368
overlap 2 3 0
overlap 2 4 59.0764
overlap 2 5 3.67206
overlap 2 6 0
overlap 3 4 49.9258
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 235.444
protrusion 0 0
protrusion 1 4.89746
protrusion 2 0
protrusion 3 26.2388
protrusion 4 0
protrusion 5 15.4231
protrusion 6 0
total protrusion 46.5594
connectivity 0 3 127.168
connectivity 1 2 91.678
connectivity 3 4 87.3478
connectivity 4 5 183.688
total connect 489.881
total separate 0
total block 0
DEBUG: time 1254 iteration 34
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.33824
overlap 0 5 0
overlap 0 6 0
overlap 1 2 111.787
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 50.7066
overlap 2 5 5.12531
overlap 2 6 0
overlap 3 4 52.3068
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 224.264
protrusion 0 0
protrusion 1 9.98641
protrusion 2 0
protrusion 3 28.4656
protrusion 4 0
protrusion 5 17.9071
protrusion 6 0
total protrusion 56.3591
connectivity 0 3 125.354
connectivity 1 2 95.2925
connectivity 3 4 86.8421
connectivity 4 5 185.1
total connect 492.589
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 5.53718
overlap 0 5 0
overlap 0 6 0
overlap 1 2 111.455
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 43.8366
overlap 2 5 8.51654
overlap 2 6 0
overlap 3 4 60.3002
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 229.645
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 21.6244
protrusion 4 0
protrusion 5 15.8287
protrusion 6 0
total protrusion 37.4531
connectivity 0 3 124.167
connectivity 1 2 98.2889
connectivity 3 4 84.7279
connectivity 4 5 184.737
total connect 491.92
total separate 0
part 1 blocked by volume of 0.17173
total block 0.17173
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.64188
overlap 0 5 0
overlap 0 6 0
overlap 1 2 109.476
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 43.6958
overlap 2 5 12.1455
overlap 2 6 0
overlap 3 4 90.1805
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 259.14
protrusion 0 0
protrusion 1 0
protrusion 2 2.09376
protrusion 3 12.7148
protrusion 4 0
protrusion 5 12.4565
protrusion 6 0
total protrusion 27.2651
connectivity 0 3 120.375
connectivity 1 2 99.0643
connectivity 3 4 78.9297
connectivity 4 5 181.389
total connect 479.759
total separate 0
part 1 blocked by volume of 6.10861
total block 6.10861
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.64188
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 90.1805
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 93.8224
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 12.7148
protrusion 4 0
protrusion 5 12.4565
protrusion 6 0
total protrusion 25.1713
connectivity 0 3 120.375
connectivity 1 2 316.995
connectivity 3 4 78.9297
connectivity 4 5 181.389
total connect 697.689
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 1297 iteration 35
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.06889
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 65.3549
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 69.4237
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 17.5276
protrusion 4 0
protrusion 5 12.4565
protrusion 6 0
total protrusion 29.9841
connectivity 0 3 123.567
connectivity 1 2 316.995
connectivity 3 4 83.7745
connectivity 4 5 181.818
total connect 706.154
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.46567
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 52.5308
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 56.9965
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 13.0138
protrusion 4 0
protrusion 5 8.76317
protrusion 6 0
total protrusion 21.777
connectivity 0 3 126.924
connectivity 1 2 316.995
connectivity 3 4 86.4945
connectivity 4 5 180.591
total connect 711.004
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.14709
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 59.185
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 61.3321
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 6.27381
protrusion 4 0
protrusion 5 4.49308
protrusion 6 0
total protrusion 10.7669
connectivity 0 3 127.197
connectivity 1 2 315.018
connectivity 3 4 85.027
connectivity 4 5 176.437
total connect 703.679
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 1327 iteration 36
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.590517
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 45.3859
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 45.9764
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 5.77045
protrusion 4 0
protrusion 5 1.1275
protrusion 6 0
total protrusion 6.89795
connectivity 0 3 130.455
connectivity 1 2 313.238
connectivity 3 4 88.6285
connectivity 4 5 172.765
total connect 705.087
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.74415
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 39.2292
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.00941439
overlap 5 6 0
total overlap = 40.9828
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 133.887
connectivity 1 2 311.637
connectivity 3 4 90.2112
connectivity 4 5 167.821
total connect 703.555
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 1.27097
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 49.7115
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.0146973
overlap 5 6 0
total overlap = 50.9971
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 134.261
connectivity 1 2 308.218
connectivity 3 4 87.7355
connectivity 4 5 160.321
total connect 690.537
total separate 0
total block 0
DEBUG: time 1355 iteration 37
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 4.3701
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 47.0942
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.285514
overlap 5 6 0
total overlap = 51.7498
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 133.07
connectivity 1 2 306.362
connectivity 3 4 89.0572
connectivity 4 5 154.231
total connect 682.72
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 14.0255
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 69.2784
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.111949
overlap 5 6 0
total overlap = 83.4158
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 129.321
connectivity 1 2 302.719
connectivity 3 4 86.7319
connectivity 4 5 145.763
total connect 664.535
total separate 0
total block 0
DEBUG: time 1374 iteration 38
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 13.981
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 65.4878
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.825474
overlap 5 6 0
total overlap = 80.2942
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 127.454
connectivity 1 2 301.596
connectivity 3 4 89.4445
connectivity 4 5 139.2
total connect 657.695
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 17.1361
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 88.0933
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.57993
overlap 4 6 0.61186
overlap 5 6 0
total overlap = 108.421
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 123.175
connectivity 1 2 298.614
connectivity 3 4 88.5789
connectivity 4 5 130.416
total connect 640.784
total separate 0
total block 0
DEBUG: time 1393 iteration 39
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 11.1113
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 82.0892
overlap 3 5 0
overlap 3 6 0
overlap 4 5 6.69495
overlap 4 6 2.12532
overlap 5 6 0
total overlap = 102.021
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 120.838
connectivity 1 2 298.094
connectivity 3 4 92.0792
connectivity 4 5 125.976
total connect 636.987
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 2.12045
overlap 1 6 8.88422
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 105.966
overlap 3 5 0
overlap 3 6 0
overlap 4 5 15.8688
overlap 4 6 1.88741
overlap 5 6 0
total overlap = 134.727
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 116.216
connectivity 1 2 295.654
connectivity 3 4 92.0351
connectivity 4 5 119.2
total connect 623.106
total separate 0
total block 0
DEBUG: time 1413 iteration 40
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0.967532
overlap 1 6 2.13608
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 99.6085
overlap 3 5 0
overlap 3 6 0
overlap 4 5 20.1073
overlap 4 6 4.5268
overlap 5 6 0
total overlap = 127.346
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 113.65
connectivity 1 2 295.586
connectivity 3 4 95.4358
connectivity 4 5 116.961
total connect 621.633
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 1.45319
overlap 1 6 0.618515
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 121.881
overlap 3 5 0
overlap 3 6 0
overlap 4 5 29.3824
overlap 4 6 4.3821
overlap 5 6 0
total overlap = 157.717
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 108.891
connectivity 1 2 293.557
connectivity 3 4 95.3493
connectivity 4 5 112.243
total connect 610.04
total separate 0
total block 0
DEBUG: time 1433 iteration 41
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 116.949
overlap 3 5 0
overlap 3 6 0
overlap 4 5 29.7
overlap 4 6 7.12085
overlap 5 6 0
total overlap = 153.77
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 106.323
connectivity 1 2 293.752
connectivity 3 4 97.6669
connectivity 4 5 112.295
total connect 610.037
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 135.382
overlap 3 5 0
overlap 3 6 0
overlap 4 5 35.3747
overlap 4 6 6.02023
overlap 5 6 0
total overlap = 176.777
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 101.615
connectivity 1 2 291.952
connectivity 3 4 96.6308
connectivity 4 5 109.68
total connect 599.878
total separate 0
total block 0
DEBUG: time 1452 iteration 42
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 129.713
overlap 3 5 0
overlap 3 6 0
overlap 4 5 31.219
overlap 4 6 7.54543
overlap 5 6 0
total overlap = 168.478
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 99.0179
connectivity 1 2 290.333
connectivity 3 4 97.9296
connectivity 4 5 111.616
total connect 598.896
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0428052
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 147.317
overlap 3 5 0
overlap 3 6 0
overlap 4 5 32.7798
overlap 4 6 5.04417
overlap 5 6 0
total overlap = 185.183
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 94.3216
connectivity 1 2 286.899
connectivity 3 4 96.0194
connectivity 4 5 110.736
total connect 587.975
total separate 0
total block 0
DEBUG: time 1471 iteration 43
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.73336
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 141.105
overlap 3 5 0
overlap 3 6 0
overlap 4 5 25.6329
overlap 4 6 5.44497
overlap 5 6 0
total overlap = 173.917
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 93.2824
connectivity 1 2 283.809
connectivity 3 4 96.6129
connectivity 4 5 114.119
total connect 587.823
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.88994
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 158.522
overlap 3 5 0
overlap 3 6 0
overlap 4 5 24.227
overlap 4 6 2.45941
overlap 5 6 0
total overlap = 187.098
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 90.0069
connectivity 1 2 279.051
connectivity 3 4 94.115
connectivity 4 5 114.587
total connect 577.76
total separate 0
total block 0
DEBUG: time 1491 iteration 44
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.23381
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 151.424
overlap 3 5 0
overlap 3 6 0
overlap 4 5 16.6911
overlap 4 6 2.14973
overlap 5 6 0
total overlap = 173.499
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 90.129
connectivity 1 2 274.769
connectivity 3 4 94.7322
connectivity 4 5 118.768
total connect 578.399
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0.954278
overlap 0 4 2.19572
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.851799
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 168.394
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.3429
overlap 4 6 0.000564648
overlap 5 6 0
total overlap = 186.739
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 87.9073
connectivity 1 2 268.939
connectivity 3 4 92.2963
connectivity 4 5 119.993
total connect 569.136
total separate 0
part 0 blocked by volume of 0.427686
total block 0.427686
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.851799
overlap 2 3 45.9985
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 72.0095
overlap 3 5 0
overlap 3 6 0
overlap 4 5 14.3429
overlap 4 6 0.000564648
overlap 5 6 0
total overlap = 133.203
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 138.497
connectivity 1 2 268.939
connectivity 3 4 104.847
connectivity 4 5 119.993
total connect 632.276
total separate 0
total block 0
DEBUG: time 1564 iteration 45
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 40.2204
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 57.3823
overlap 3 5 0
overlap 3 6 0
overlap 4 5 8.47696
overlap 4 6 2.74794
overlap 5 6 0
total overlap = 108.828
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 8.62471
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 8.62471
connectivity 0 3 138.395
connectivity 1 2 271.804
connectivity 3 4 107.823
connectivity 4 5 124.379
total connect 642.401
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 35.0202
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 45.7194
overlap 3 5 0
overlap 3 6 0
overlap 4 5 4.38048
overlap 4 6 6.68875
overlap 5 6 0
total overlap = 91.8088
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 7.54162
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.54162
connectivity 0 3 138.892
connectivity 1 2 274.405
connectivity 3 4 108.501
connectivity 4 5 128.335
total connect 650.133
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 24.3346
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 54.5848
overlap 3 5 0
overlap 3 6 0
overlap 4 5 3.61923
overlap 4 6 6.71283
overlap 5 6 0
total overlap = 89.2514
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 2.67554
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.67554
connectivity 0 3 136.84
connectivity 1 2 274.788
connectivity 3 4 105.743
connectivity 4 5 129.143
total connect 646.513
total separate 0
total block 0
DEBUG: time 1594 iteration 46
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 2.7158
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 54.3006
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.678635
overlap 4 6 9.4592
overlap 5 6 0
total overlap = 67.1543
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 6.38944
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.38944
connectivity 0 3 133.594
connectivity 1 2 276.47
connectivity 3 4 105.949
connectivity 4 5 134.103
total connect 650.115
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 55.3094
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 12.0467
overlap 5 6 0
total overlap = 67.3561
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0.886608
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0.886608
connectivity 0 3 131.282
connectivity 1 2 278.014
connectivity 3 4 104.09
connectivity 4 5 138.568
total connect 651.953
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 79.3267
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 9.91734
overlap 5 6 0
total overlap = 89.244
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 126.765
connectivity 1 2 277.451
connectivity 3 4 99.0805
connectivity 4 5 139.843
total connect 643.139
total separate 0
total block 0
DEBUG: time 1623 iteration 47
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 78.5808
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 10.9805
overlap 5 6 0
total overlap = 89.5614
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 124.635
connectivity 1 2 276.963
connectivity 3 4 97.3375
connectivity 4 5 142.904
total connect 641.84
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.336346
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 107.5
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 7.85356
overlap 5 6 0
total overlap = 115.69
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 120.325
connectivity 1 2 274.564
connectivity 3 4 92.495
connectivity 4 5 142.942
total connect 630.325
total separate 0
total block 0
DEBUG: time 1642 iteration 48
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 105.984
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 8.5896
overlap 5 6 0
total overlap = 114.574
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 117.996
connectivity 1 2 273.803
connectivity 3 4 91.8635
connectivity 4 5 144.188
total connect 627.849
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 134.739
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 5.63147
overlap 5 6 0
total overlap = 140.371
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 113.533
connectivity 1 2 271.14
connectivity 3 4 88.0931
connectivity 4 5 142.611
total connect 615.377
total separate 0
total block 0
DEBUG: time 1661 iteration 49
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 7.06249
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 130.448
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 5.34131
overlap 5 6 0
total overlap = 142.852
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 110.819
connectivity 1 2 268.745
connectivity 3 4 88.7333
connectivity 4 5 142.064
total connect 610.361
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 16.5613
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 155.202
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 2.23231
overlap 5 6 0
total overlap = 173.995
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 106.045
connectivity 1 2 264.611
connectivity 3 4 86.2079
connectivity 4 5 138.904
total connect 595.769
total separate 0
total block 0
DEBUG: time 1681 iteration 50
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.18054
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 18.7662
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 147.992
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.0414115
overlap 4 6 2.65747
overlap 5 6 0
total overlap = 170.638
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 102.892
connectivity 1 2 263.06
connectivity 3 4 88.0341
connectivity 4 5 136.806
total connect 590.792
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.39469
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 22.9938
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 169.255
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.42997
overlap 4 6 0.699772
overlap 5 6 0
total overlap = 196.773
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 97.7706
connectivity 1 2 259.688
connectivity 3 4 86.7075
connectivity 4 5 132.295
total connect 576.461
total separate 0
total block 0
DEBUG: time 1701 iteration 51
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.18568
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.951983
overlap 1 5 0
overlap 1 6 19.321
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 160.483
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.34736
overlap 4 6 1.30067
overlap 5 6 0
total overlap = 188.59
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 95.778
connectivity 1 2 258.342
connectivity 3 4 89.5884
connectivity 4 5 130.875
total connect 574.584
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 3.94521
overlap 0 4 3.26399
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 4.06789
overlap 1 5 0
overlap 1 6 18.1319
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 178.506
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.50815
overlap 4 6 0
overlap 5 6 0
total overlap = 213.423
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 91.7475
connectivity 1 2 255.163
connectivity 3 4 89.3523
connectivity 4 5 127.033
total connect 563.296
total separate 0
total block 0
DEBUG: time 1722 iteration 52
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 3.90662
overlap 0 4 3.89963
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 6.13474
overlap 1 5 0
overlap 1 6 10.6111
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 170.593
overlap 3 5 0
overlap 3 6 0
overlap 4 5 5.06622
overlap 4 6 1.08035
overlap 5 6 0
total overlap = 201.292
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 91.0283
connectivity 1 2 254.487
connectivity 3 4 91.5251
connectivity 4 5 127.582
total connect 564.623
total separate 0
part 0 blocked by volume of 0.0214423
total block 0.0214423
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 9.11559
overlap 0 4 2.06556
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 7.35729
overlap 1 5 0
overlap 1 6 5.97873
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 186.036
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.06559
overlap 4 6 0.209321
overlap 5 6 0
total overlap = 217.828
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 88.1881
connectivity 1 2 251.909
connectivity 3 4 90.7016
connectivity 4 5 125.562
total connect 556.36
total separate 0
part 0 blocked by volume of 0.25676
total block 0.25676
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 7.35729
overlap 1 5 0
overlap 1 6 5.97873
overlap 2 3 10.4437
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 75.5134
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.06559
overlap 4 6 0.209321
overlap 5 6 0
total overlap = 106.568
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 113.342
connectivity 1 2 251.909
connectivity 3 4 106.326
connectivity 4 5 125.562
total connect 597.138
total separate 0
total block 0
DEBUG: time 1802 iteration 53
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.191295
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 2.26839
overlap 1 5 0
overlap 1 6 0
overlap 2 3 7.95606
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 59.3577
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.7171
overlap 4 6 3.27492
overlap 5 6 0
total overlap = 75.7654
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 7.37205
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.37205
connectivity 0 3 113.895
connectivity 1 2 255.485
connectivity 3 4 108.077
connectivity 4 5 130.32
total connect 607.777
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.2412
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 5.71716
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 46.4372
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.50286
overlap 4 6 6.85112
overlap 5 6 0
total overlap = 61.7495
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 5.16155
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 5.16155
connectivity 0 3 115.114
connectivity 1 2 258.706
connectivity 3 4 107.693
connectivity 4 5 134.602
total connect 616.115
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.39772
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 55.069
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.191692
overlap 4 6 6.23489
overlap 5 6 0
total overlap = 63.8933
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 113.758
connectivity 1 2 259.631
connectivity 3 4 104.051
connectivity 4 5 135.717
total connect 613.156
total separate 0
total block 0
DEBUG: time 1831 iteration 54
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.94566
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0.45888
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 43.0081
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 8.36437
overlap 5 6 0
total overlap = 55.777
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 116.064
connectivity 1 2 260.465
connectivity 3 4 103.518
connectivity 4 5 140.707
total connect 620.754
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.76468
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 53.3831
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 6.31761
overlap 5 6 0
total overlap = 62.4654
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 115.668
connectivity 1 2 259.24
connectivity 3 4 99.7137
connectivity 4 5 142.438
total connect 617.06
total separate 0
total block 0
DEBUG: time 1851 iteration 55
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.81747
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 3.23771
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 42.2515
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 7.0877
overlap 5 6 0
total overlap = 55.3944
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 118.712
connectivity 1 2 258.139
connectivity 3 4 99.8571
connectivity 4 5 145.341
total connect 622.049
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.762515
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.33339
overlap 2 3 2.91731
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 55.21
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 4.34347
overlap 5 6 0
total overlap = 64.5666
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 118.957
connectivity 1 2 255.172
connectivity 3 4 96.6064
connectivity 4 5 145.165
total connect 615.9
total separate 0
total block 0
DEBUG: time 1870 iteration 56
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.0336897
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 50.7845
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 5.86971
overlap 5 6 0
total overlap = 56.6879
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 119.907
connectivity 1 2 255.678
connectivity 3 4 98.0514
connectivity 4 5 145.813
total connect 619.449
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.599697
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 70.3425
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 4.03929
overlap 5 6 0
total overlap = 74.9814
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 118.275
connectivity 1 2 254.184
connectivity 3 4 96.0099
connectivity 4 5 143.618
total connect 612.086
total separate 0
total block 0
DEBUG: time 1891 iteration 57
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 2.65072
overlap 2 6 0
overlap 3 4 64.4001
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 5.24749
overlap 5 6 0
total overlap = 72.2983
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 118.369
connectivity 1 2 254.123
connectivity 3 4 98.1211
connectivity 4 5 142.803
total connect 613.416
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 2.28485
overlap 2 3 0
overlap 2 4 0
overlap 2 5 13.5572
overlap 2 6 0
overlap 3 4 84.1786
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 3.18107
overlap 5 6 0
total overlap = 103.202
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 115.987
connectivity 1 2 252.093
connectivity 3 4 96.7518
connectivity 4 5 139.336
total connect 604.168
total separate 0
total block 0
DEBUG: time 1910 iteration 58
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 8.54964
overlap 2 6 0
overlap 3 4 77.4071
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 5.28521
overlap 5 6 0
total overlap = 91.2419
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 115.687
connectivity 1 2 253.006
connectivity 3 4 98.5721
connectivity 4 5 139.179
total connect 606.445
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 8.4061
overlap 2 6 0
overlap 3 4 97.0631
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.0432889
overlap 4 6 3.95468
overlap 5 6 0
total overlap = 109.467
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 112.968
connectivity 1 2 251.85
connectivity 3 4 96.9867
connectivity 4 5 136.364
total connect 598.169
total separate 0
total block 0
DEBUG: time 1930 iteration 59
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.149864
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 88.7457
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.00567721
overlap 4 6 5.08358
overlap 5 6 0
total overlap = 93.9849
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 112.349
connectivity 1 2 251.803
connectivity 3 4 98.5109
connectivity 4 5 136.789
total connect 599.452
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 1.23159
overlap 1 5 0
overlap 1 6 0.229347
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 106.97
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.193241
overlap 4 6 2.84359
overlap 5 6 0
total overlap = 111.467
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 109.358
connectivity 1 2 249.79
connectivity 3 4 96.7225
connectivity 4 5 134.591
total connect 590.461
total separate 0
total block 0
DEBUG: time 1951 iteration 60
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.151766
overlap 1 5 0
overlap 1 6 1.00304
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 98.0071
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 3.62164
overlap 5 6 0
total overlap = 102.784
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 108.464
connectivity 1 2 249.276
connectivity 3 4 97.3386
connectivity 4 5 136.79
total connect 591.868
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 5.9835
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 115.784
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 1.45368
overlap 5 6 0
total overlap = 123.221
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 105.237
connectivity 1 2 246.864
connectivity 3 4 94.7952
connectivity 4 5 136.261
total connect 583.156
total separate 0
total block 0
DEBUG: time 1972 iteration 61
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.12432
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 2.99136
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 105.994
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 3.00003
overlap 5 6 0
total overlap = 113.109
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.05865
protrusion 6 0
total protrusion 2.05865
connectivity 0 3 104.065
connectivity 1 2 246.443
connectivity 3 4 95.7081
connectivity 4 5 137.006
total connect 583.222
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.41176
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.298442
overlap 2 3 5.01881
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 96.7269
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0
overlap 4 6 4.7179
overlap 5 6 0
total overlap = 111.174
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 103.013
connectivity 1 2 246.067
connectivity 3 4 96.5544
connectivity 4 5 136.313
total connect 581.947
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 5.11396
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0.0318355
overlap 2 3 8.73412
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 115.014
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.136114
overlap 4 6 2.90504
overlap 5 6 0
total overlap = 131.935
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 99.6374
connectivity 1 2 243.755
connectivity 3 4 94.2399
connectivity 4 5 133.153
total connect 570.785
total separate 0
total block 0
DEBUG: time 2001 iteration 62
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 6.52798
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.941212
overlap 1 5 0
overlap 1 6 0
overlap 2 3 5.80978
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 111.743
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.255526
overlap 4 6 5.25239
overlap 5 6 0
total overlap = 130.53
protrusion 0 0
protrusion 1 10.9579
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 10.9579
connectivity 0 3 97.9043
connectivity 1 2 244.804
connectivity 3 4 96.6794
connectivity 4 5 132.695
total connect 572.083
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 7.88703
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 3.19124
overlap 1 5 0
overlap 1 6 0
overlap 2 3 3.17787
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 109.306
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.392058
overlap 4 6 7.80324
overlap 5 6 0
total overlap = 131.758
protrusion 0 0
protrusion 1 8.90466
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 2.15197
protrusion 6 0
total protrusion 11.0566
connectivity 0 3 96.3694
connectivity 1 2 244.022
connectivity 3 4 98.8853
connectivity 4 5 132.285
total connect 571.562
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 5.87076
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 5.71129
overlap 1 5 0.231942
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 129.076
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.30538
overlap 4 6 5.85206
overlap 5 6 0
total overlap = 148.048
protrusion 0 0
protrusion 1 0.563967
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.79369
protrusion 6 0
total protrusion 2.35766
connectivity 0 3 92.5839
connectivity 1 2 241.342
connectivity 3 4 97.9504
connectivity 4 5 129.442
total connect 561.319
total separate 0
part 1 blocked by volume of 0.0799796
total block 0.0799796
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.22167
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 11.4298
overlap 1 5 7.89094
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 146.324
overlap 3 5 0
overlap 3 6 0
overlap 4 5 2.53353
overlap 4 6 4.17484
overlap 5 6 0
total overlap = 176.575
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 1.47124
protrusion 6 0
total protrusion 1.47124
connectivity 0 3 89.1772
connectivity 1 2 236.751
connectivity 3 4 97.3071
connectivity 4 5 126.907
total connect 550.142
total separate 0
part 1 blocked by volume of 3.12887
total block 3.12887
DEBUG: time 2041 iteration 63
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.32686
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 8.59223
overlap 1 5 7.98198
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 147.228
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.11987
overlap 4 6 4.0685
overlap 5 6 0
total overlap = 172.317
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 4.83377
protrusion 6 0
total protrusion 4.83377
connectivity 0 3 89.4041
connectivity 1 2 234.753
connectivity 3 4 96.7059
connectivity 4 5 129.163
total connect 550.026
total separate 0
part 1 blocked by volume of 3.31165
total block 3.31165
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.58171
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 6.20489
overlap 1 5 8.06391
overlap 1 6 2.47497
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 148.02
overlap 3 5 0
overlap 3 6 0
overlap 4 5 0.972243
overlap 4 6 3.94977
overlap 5 6 0
total overlap = 172.267
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 89.6391
connectivity 1 2 232.954
connectivity 3 4 96.1653
connectivity 4 5 129.781
total connect 548.54
total separate 0
part 1 blocked by volume of 3.06734
total block 3.06734
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0.0800211
overlap 0 4 0.276439
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 4.00639
overlap 1 5 11.3486
overlap 1 6 7.08136
overlap 2 3 0
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 171.197
overlap 3 5 0
overlap 3 6 0
overlap 4 5 1.64567
overlap 4 6 0.962595
overlap 5 6 0
total overlap = 196.598
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 87.4907
connectivity 1 2 229.359
connectivity 3 4 92.8924
connectivity 4 5 127.993
total connect 537.735
total separate 0
part 0 blocked by volume of 0.0541097
part 1 blocked by volume of 3.95289
total block 4.007
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 27.56
overlap 1 6 0
overlap 2 3 79.879
overlap 2 4 0
overlap 2 5 33.4278
overlap 2 6 0
overlap 3 4 0
overlap 3 5 44.5454
overlap 3 6 0
overlap 4 5 35.408
overlap 4 6 0.962595
overlap 5 6 0
total overlap = 221.783
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 308.645
connectivity 1 2 244.917
connectivity 3 4 162.112
connectivity 4 5 104.971
total connect 820.644
total separate 0
total block 0
DEBUG: time 2159 iteration 64
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 25.515
overlap 1 6 0
overlap 2 3 70.7956
overlap 2 4 0
overlap 2 5 18.4567
overlap 2 6 0
overlap 3 4 0
overlap 3 5 39.9788
overlap 3 6 0
overlap 4 5 22.1559
overlap 4 6 1.59051
overlap 5 6 0
total overlap = 178.493
protrusion 0 0
protrusion 1 22.8816
protrusion 2 0
protrusion 3 1.76803
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 24.6496
connectivity 0 3 310.634
connectivity 1 2 247.556
connectivity 3 4 166.68
connectivity 4 5 109.449
total connect 834.319
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 27.1146
overlap 1 6 0
overlap 2 3 64.1537
overlap 2 4 0
overlap 2 5 4.64199
overlap 2 6 0
overlap 3 4 0
overlap 3 5 35.9266
overlap 3 6 0
overlap 4 5 13.6678
overlap 4 6 2.09323
overlap 5 6 0
total overlap = 147.598
protrusion 0 0
protrusion 1 20.4898
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 20.4898
connectivity 0 3 311.095
connectivity 1 2 247.768
connectivity 3 4 170.048
connectivity 4 5 113.489
total connect 842.4
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 30.7243
overlap 1 6 0
overlap 2 3 62.1072
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 35.4965
overlap 3 6 0
overlap 4 5 12.8771
overlap 4 6 0.887068
overlap 5 6 0
total overlap = 142.092
protrusion 0 0
protrusion 1 6.87661
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.87661
connectivity 0 3 308.497
connectivity 1 2 245.988
connectivity 3 4 168.264
connectivity 4 5 113.471
total connect 836.22
total separate 0
total block 0
DEBUG: time 2189 iteration 65
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 33.6238
overlap 1 6 0
overlap 2 3 48.9316
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 25.6141
overlap 3 6 0
overlap 4 5 7.55795
overlap 4 6 0.0349147
overlap 5 6 0
total overlap = 115.762
protrusion 0 0
protrusion 1 17.15
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 17.15
connectivity 0 3 308.045
connectivity 1 2 245.401
connectivity 3 4 170.257
connectivity 4 5 116.513
total connect 840.216
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 40.7267
overlap 1 6 0.19732
overlap 2 3 37.5406
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 15.7864
overlap 3 6 0
overlap 4 5 5.06455
overlap 4 6 0
overlap 5 6 0
total overlap = 99.3156
protrusion 0 0
protrusion 1 9.57884
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.57884
connectivity 0 3 307.665
connectivity 1 2 242.713
connectivity 3 4 172.05
connectivity 4 5 119.398
total connect 841.825
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 50.3294
overlap 1 6 6.39951
overlap 2 3 32.1531
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 10.4207
overlap 3 6 0
overlap 4 5 13.3896
overlap 4 6 0
overlap 5 6 0
total overlap = 112.692
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 304.309
connectivity 1 2 238.328
connectivity 3 4 168.874
connectivity 4 5 118.508
total connect 830.018
total separate 0
total block 0
DEBUG: time 2218 iteration 66
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 48.9741
overlap 1 6 4.71581
overlap 2 3 21.9085
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 5.9019
overlap 3 6 0
overlap 4 5 10.7163
overlap 4 6 0
overlap 5 6 0
total overlap = 92.2166
protrusion 0 0
protrusion 1 6.02513
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.02513
connectivity 0 3 302.728
connectivity 1 2 235.036
connectivity 3 4 170.493
connectivity 4 5 120.203
total connect 828.46
total separate 0
part 1 blocked by volume of 1.14846
total block 1.14846
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 51.083
overlap 1 6 8.6491
overlap 2 3 13.2036
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 2.64918
overlap 3 6 0
overlap 4 5 8.47697
overlap 4 6 0
overlap 5 6 0
total overlap = 84.0618
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 9.50995
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.50995
connectivity 0 3 301.344
connectivity 1 2 230.492
connectivity 3 4 172.002
connectivity 4 5 121.728
total connect 825.566
total separate 0
part 1 blocked by volume of 3.29843
total block 3.29843
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 55.7013
overlap 1 6 14.173
overlap 2 3 9.62766
overlap 2 4 0.343372
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 1.3099
overlap 3 6 0
overlap 4 5 13.2085
overlap 4 6 0
overlap 5 6 0
total overlap = 94.3637
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 4.36517
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.36517
connectivity 0 3 297.096
connectivity 1 2 224.461
connectivity 3 4 168.667
connectivity 4 5 119.511
total connect 809.736
total separate 0
part 1 blocked by volume of 5.51518
total block 5.51518
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 20.8
overlap 1 6 7.59674
overlap 2 3 9.62766
overlap 2 4 0.343372
overlap 2 5 8.36259
overlap 2 6 0
overlap 3 4 0
overlap 3 5 23.0847
overlap 3 6 0
overlap 4 5 9.87818
overlap 4 6 0
overlap 5 6 0
total overlap = 79.6932
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 4.36517
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.36517
connectivity 0 3 297.096
connectivity 1 2 230.74
connectivity 3 4 168.667
connectivity 4 5 115.686
total connect 812.19
total separate 0
total block 0
DEBUG: time 2315 iteration 67
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 19.4092
overlap 1 6 0.233986
overlap 2 3 6.54131
overlap 2 4 0.403376
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 15.2948
overlap 3 6 0
overlap 4 5 3.89903
overlap 4 6 0
overlap 5 6 0
total overlap = 45.7817
protrusion 0 0
protrusion 1 19.3148
protrusion 2 0
protrusion 3 26.4609
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 45.7757
connectivity 0 3 298.9
connectivity 1 2 233.216
connectivity 3 4 172.68
connectivity 4 5 119.803
total connect 824.599
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 21.2088
overlap 1 6 0
overlap 2 3 5.21104
overlap 2 4 0.456486
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 13.3494
overlap 3 6 0
overlap 4 5 0.54168
overlap 4 6 0
overlap 5 6 0
total overlap = 40.7674
protrusion 0 0
protrusion 1 18.7674
protrusion 2 0
protrusion 3 24.2338
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 43.0012
connectivity 0 3 298.67
connectivity 1 2 233.267
connectivity 3 4 174.171
connectivity 4 5 123.536
total connect 829.643
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 25.0973
overlap 1 6 0
overlap 2 3 5.7856
overlap 2 4 0.927046
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 14.1444
overlap 3 6 0
overlap 4 5 0.129613
overlap 4 6 0
overlap 5 6 0
total overlap = 46.084
protrusion 0 0
protrusion 1 15.4702
protrusion 2 0
protrusion 3 2.09571
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 17.5659
connectivity 0 3 295.432
connectivity 1 2 231.335
connectivity 3 4 170.727
connectivity 4 5 123.299
total connect 820.794
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2346 iteration 68
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 27.6606
overlap 1 6 0
overlap 2 3 4.27007
overlap 2 4 0.268587
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 7.23021
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 39.4295
protrusion 0 0
protrusion 1 27.3741
protrusion 2 0
protrusion 3 4.17878
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 31.5529
connectivity 0 3 294.247
connectivity 1 2 232.832
connectivity 3 4 172.284
connectivity 4 5 125.59
total connect 824.954
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 34.2753
overlap 1 6 0
overlap 2 3 3.49873
overlap 2 4 0.0110074
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 5.70431
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.0873985
overlap 5 6 0
total overlap = 43.5767
protrusion 0 0
protrusion 1 21.7418
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 21.7418
connectivity 0 3 291.325
connectivity 1 2 232.657
connectivity 3 4 171.56
connectivity 4 5 127.672
total connect 823.214
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 41.4748
overlap 1 6 0
overlap 2 3 4.44067
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 6.82113
overlap 3 6 0
overlap 4 5 0.559796
overlap 4 6 0.0766142
overlap 5 6 0
total overlap = 53.373
protrusion 0 0
protrusion 1 10.9713
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 10.9713
connectivity 0 3 285.665
connectivity 1 2 230.543
connectivity 3 4 166.15
connectivity 4 5 125.967
total connect 808.325
total separate 0
part 1 blocked by volume of 2.13072
total block 2.13072
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 42.4
overlap 1 6 0
overlap 2 3 4.44067
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 6.75109
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.0766142
overlap 5 6 0
total overlap = 53.6684
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 285.665
connectivity 1 2 233.297
connectivity 3 4 166.15
connectivity 4 5 129.076
total connect 814.187
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2427 iteration 69
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 33.5242
overlap 1 6 0
overlap 2 3 1.88777
overlap 2 4 0.000745214
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 6.94739
overlap 3 6 0
overlap 4 5 0.238045
overlap 4 6 0
overlap 5 6 0
total overlap = 42.5982
protrusion 0 0
protrusion 1 19.9288
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.9288
connectivity 0 3 287.767
connectivity 1 2 236.144
connectivity 3 4 165.98
connectivity 4 5 129.193
total connect 819.083
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 29.7484
overlap 1 6 0
overlap 2 3 0.0865423
overlap 2 4 0.0126941
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 7.13675
overlap 3 6 0
overlap 4 5 0.720098
overlap 4 6 0
overlap 5 6 0
total overlap = 37.7045
protrusion 0 0
protrusion 1 18.4026
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 18.4026
connectivity 0 3 289.659
connectivity 1 2 236.53
connectivity 3 4 165.836
connectivity 4 5 129.303
total connect 821.328
total separate 0
part 1 blocked by volume of 0.168458
total block 0.168458
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 28.4297
overlap 1 6 0
overlap 2 3 0
overlap 2 4 0.569725
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 9.8652
overlap 3 6 0
overlap 4 5 5.9435
overlap 4 6 0
overlap 5 6 0
total overlap = 44.8081
protrusion 0 0
protrusion 1 15.2317
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 15.2317
connectivity 0 3 288.333
connectivity 1 2 234.9
connectivity 3 4 160.955
connectivity 4 5 125.823
total connect 810.012
total separate 0
part 1 blocked by volume of 0.714779
total block 0.714779
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 20.8
overlap 1 6 3.40694
overlap 2 3 0
overlap 2 4 0.569725
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 22.9434
overlap 3 6 0
overlap 4 5 11.4799
overlap 4 6 0
overlap 5 6 0
total overlap = 59.1999
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 288.333
connectivity 1 2 235.181
connectivity 3 4 160.955
connectivity 4 5 115.459
total connect 799.928
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2527 iteration 70
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 17.6686
overlap 1 6 0
overlap 2 3 0.337889
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 16.9875
overlap 3 6 0
overlap 4 5 2.21219
overlap 4 6 0
overlap 5 6 0
total overlap = 37.2062
protrusion 0 0
protrusion 1 19.3148
protrusion 2 0
protrusion 3 3.12473
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 22.4395
connectivity 0 3 289.475
connectivity 1 2 238.346
connectivity 3 4 165.306
connectivity 4 5 119.883
total connect 813.01
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 17.6027
overlap 1 6 0
overlap 2 3 0.865584
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 17.2076
overlap 3 6 0
overlap 4 5 0.0376316
overlap 4 6 0
overlap 5 6 0
total overlap = 35.7135
protrusion 0 0
protrusion 1 18.7674
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 18.7674
connectivity 0 3 288.64
connectivity 1 2 239.036
connectivity 3 4 167.092
connectivity 4 5 123.872
total connect 818.64
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 19.4676
overlap 1 6 0
overlap 2 3 3.0495
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 21.3404
overlap 3 6 0
overlap 4 5 0.0289275
overlap 4 6 0
overlap 5 6 0
total overlap = 43.8863
protrusion 0 0
protrusion 1 15.7236
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 15.7236
connectivity 0 3 284.858
connectivity 1 2 237.695
connectivity 3 4 163.925
connectivity 4 5 123.848
total connect 810.327
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2559 iteration 71
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 20.9018
overlap 1 6 0
overlap 2 3 3.284
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 14.1382
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 38.3239
protrusion 0 0
protrusion 1 28.3307
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 28.3307
connectivity 0 3 283.299
connectivity 1 2 239.529
connectivity 3 4 164.111
connectivity 4 5 125.843
total connect 812.782
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 26.2446
overlap 1 6 0
overlap 2 3 3.79455
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 9.03232
overlap 3 6 0
overlap 4 5 0.531153
overlap 4 6 0
overlap 5 6 0
total overlap = 39.6026
protrusion 0 0
protrusion 1 23.3312
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 23.3312
connectivity 0 3 281.9
connectivity 1 2 239.685
connectivity 3 4 164.281
connectivity 4 5 127.725
total connect 813.591
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 34.0102
overlap 1 6 0
overlap 2 3 8.95881
overlap 2 4 0.0118712
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 7.74941
overlap 3 6 0
overlap 4 5 7.41628
overlap 4 6 0
overlap 5 6 0
total overlap = 58.1466
protrusion 0 0
protrusion 1 13.2304
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 13.2304
connectivity 0 3 277.613
connectivity 1 2 237.849
connectivity 3 4 159.68
connectivity 4 5 125.921
total connect 801.063
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2589 iteration 72
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 32.3715
overlap 1 6 0
overlap 2 3 5.42728
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 6.77569
overlap 3 6 0
overlap 4 5 5.33632
overlap 4 6 0
overlap 5 6 0
total overlap = 49.9107
protrusion 0 0
protrusion 1 19.0774
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.0774
connectivity 0 3 275.784
connectivity 1 2 237.743
connectivity 3 4 160.378
connectivity 4 5 126.61
total connect 800.516
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 35.0967
overlap 1 6 0
overlap 2 3 5.1804
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 6.00753
overlap 3 6 0
overlap 4 5 3.664
overlap 4 6 0
overlap 5 6 0
total overlap = 49.9486
protrusion 0 0
protrusion 1 7.99372
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 7.99372
connectivity 0 3 274.146
connectivity 1 2 236.186
connectivity 3 4 161.023
connectivity 4 5 127.235
total connect 798.589
total separate 0
part 1 blocked by volume of 0.125856
total block 0.125856
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 39.8861
overlap 1 6 0
overlap 2 3 6.64994
overlap 2 4 0.0995769
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 7.73059
overlap 3 6 0
overlap 4 5 7.61676
overlap 4 6 0
overlap 5 6 0
total overlap = 61.983
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 269.647
connectivity 1 2 232.834
connectivity 3 4 156.901
connectivity 4 5 124.231
total connect 783.614
total separate 0
part 1 blocked by volume of 0.530421
total block 0.530421
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 47.1231
overlap 1 6 0.965067
overlap 2 3 7.92412
overlap 2 4 2.15325
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 9.498
overlap 3 6 0
overlap 4 5 11.8768
overlap 4 6 0
overlap 5 6 0
total overlap = 79.5404
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 265.601
connectivity 1 2 227.663
connectivity 3 4 153.235
connectivity 4 5 121.529
total connect 768.028
total separate 0
part 1 blocked by volume of 2.9414
total block 2.9414
DEBUG: time 2625 iteration 73
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 45.2441
overlap 1 6 0.244497
overlap 2 3 6.99044
overlap 2 4 1.19389
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 11.0218
overlap 3 6 0
overlap 4 5 4.83794
overlap 4 6 0
overlap 5 6 0
total overlap = 69.5327
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 264.044
connectivity 1 2 226.218
connectivity 3 4 154.867
connectivity 4 5 121.96
total connect 767.089
total separate 0
part 1 blocked by volume of 5.18716
total block 5.18716
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 46.138
overlap 1 6 1.37712
overlap 2 3 7.98451
overlap 2 4 4.44712
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 17.9274
overlap 3 6 0
overlap 4 5 6.23258
overlap 4 6 0
overlap 5 6 0
total overlap = 84.1068
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 259.627
connectivity 1 2 222.943
connectivity 3 4 151.706
connectivity 4 5 118.86
total connect 753.135
total separate 0
part 1 blocked by volume of 7.44028
total block 7.44028
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 32
overlap 1 6 0
overlap 2 3 7.98451
overlap 2 4 4.44712
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 17.7724
overlap 3 6 0
overlap 4 5 3.99403
overlap 4 6 0
overlap 5 6 0
total overlap = 66.1981
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 259.627
connectivity 1 2 239.329
connectivity 3 4 151.706
connectivity 4 5 126.929
total connect 777.59
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2690 iteration 74
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 24.622
overlap 1 6 0
overlap 2 3 6.86458
overlap 2 4 0.39165
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 12.992
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.000992231
overlap 5 6 0
total overlap = 44.8713
protrusion 0 0
protrusion 1 19.1885
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 19.1885
connectivity 0 3 261.715
connectivity 1 2 242.597
connectivity 3 4 156.648
connectivity 4 5 127.552
total connect 788.512
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 22.2382
overlap 1 6 0
overlap 2 3 5.90726
overlap 2 4 0.0088448
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 9.75929
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.523389
overlap 5 6 0
total overlap = 38.437
protrusion 0 0
protrusion 1 18.8295
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 18.8295
connectivity 0 3 263.596
connectivity 1 2 243.384
connectivity 3 4 161.097
connectivity 4 5 128.211
total connect 796.288
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.199191
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 22.5589
overlap 1 6 0
overlap 2 3 6.74479
overlap 2 4 0.0338938
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 11.1018
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.626372
overlap 5 6 0
total overlap = 41.265
protrusion 0 0
protrusion 1 16.061
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 16.061
connectivity 0 3 262.271
connectivity 1 2 242.127
connectivity 3 4 160.398
connectivity 4 5 125.307
total connect 790.103
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2722 iteration 75
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 21.465
overlap 1 6 0
overlap 2 3 4.83878
overlap 2 4 0.887092
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 5.40563
overlap 3 6 0
overlap 4 5 2.72584
overlap 4 6 0
overlap 5 6 0
total overlap = 35.3224
protrusion 0 0
protrusion 1 29.0662
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 29.0662
connectivity 0 3 264.638
connectivity 1 2 243.578
connectivity 3 4 159.411
connectivity 4 5 119.704
total connect 787.331
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 24.0497
overlap 1 6 0
overlap 2 3 3.38167
overlap 2 4 2.78254
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 2.03838
overlap 3 6 0
overlap 4 5 14.7729
overlap 4 6 0
overlap 5 6 0
total overlap = 47.0252
protrusion 0 0
protrusion 1 24.4249
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 24.4249
connectivity 0 3 266.779
connectivity 1 2 243.459
connectivity 3 4 158.524
connectivity 4 5 114.678
total connect 783.44
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 28.0824
overlap 1 6 0
overlap 2 3 3.44203
overlap 2 4 12.5683
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 1.03116
overlap 3 6 0
overlap 4 5 45.4921
overlap 4 6 0
overlap 5 6 0
total overlap = 90.6161
protrusion 0 0
protrusion 1 14.9162
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 14.9162
connectivity 0 3 265.692
connectivity 1 2 241.378
connectivity 3 4 153.039
connectivity 4 5 106.647
total connect 766.756
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2753 iteration 76
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 25.1723
overlap 1 6 0
overlap 2 3 3.02179
overlap 2 4 14.3899
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0.527119
overlap 3 6 0
overlap 4 5 58.11
overlap 4 6 0
overlap 5 6 0
total overlap = 101.221
protrusion 0 0
protrusion 1 20.5299
protrusion 2 0
protrusion 3 7.8398
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 28.3697
connectivity 0 3 266.901
connectivity 1 2 242.649
connectivity 3 4 152.875
connectivity 4 5 103.466
total connect 765.891
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 25.7006
overlap 1 6 0
overlap 2 3 3.17277
overlap 2 4 16.0962
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 1.53278
overlap 3 6 0
overlap 4 5 70.2651
overlap 4 6 0
overlap 5 6 0
total overlap = 116.767
protrusion 0 0
protrusion 1 9.23634
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.23634
connectivity 0 3 266.046
connectivity 1 2 242.371
connectivity 3 4 150.534
connectivity 4 5 100.603
total connect 759.554
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 27.6517
overlap 1 6 0
overlap 2 3 4.69347
overlap 2 4 26.0445
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 5.39589
overlap 3 6 0
overlap 4 5 99.4234
overlap 4 6 0
overlap 5 6 0
total overlap = 163.209
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 262.259
connectivity 1 2 240.144
connectivity 3 4 143.757
connectivity 4 5 94.5051
total connect 740.664
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 2784 iteration 77
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 24.2117
overlap 1 6 0
overlap 2 3 5.83922
overlap 2 4 22.7513
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 9.09943
overlap 3 6 0
overlap 4 5 102.216
overlap 4 6 0
overlap 5 6 0
total overlap = 164.118
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 260.949
connectivity 1 2 241.425
connectivity 3 4 142.462
connectivity 4 5 93.1811
total connect 738.018
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 22.7731
overlap 1 6 0.702896
overlap 2 3 14.065
overlap 2 4 28.4995
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 16.7403
overlap 3 6 0
overlap 4 5 122.954
overlap 4 6 0
overlap 5 6 0
total overlap = 205.735
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 256.756
connectivity 1 2 240.609
connectivity 3 4 136.64
connectivity 4 5 88.4793
total connect 722.484
total separate 0
total block 0
DEBUG: time 2804 iteration 78
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 18.1448
overlap 1 6 0
overlap 2 3 21.2956
overlap 2 4 21.1867
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 22.6611
overlap 3 6 0
overlap 4 5 118.009
overlap 4 6 0
overlap 5 6 0
total overlap = 201.297
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 254.951
connectivity 1 2 243.029
connectivity 3 4 136.195
connectivity 4 5 88.6404
total connect 722.816
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 15.6337
overlap 1 6 0
overlap 2 3 32.1384
overlap 2 4 23.2961
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 35.1644
overlap 3 6 0
overlap 4 5 131.855
overlap 4 6 0
overlap 5 6 0
total overlap = 238.088
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 250.318
connectivity 1 2 243.274
connectivity 3 4 131.151
connectivity 4 5 85.287
total connect 710.03
total separate 0
total block 0
DEBUG: time 2825 iteration 79
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 10.9087
overlap 1 6 0
overlap 2 3 40.6886
overlap 2 4 13.8464
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 40.7754
overlap 3 6 0
overlap 4 5 121.915
overlap 4 6 0
overlap 5 6 0
total overlap = 228.134
protrusion 0 0
protrusion 1 15.6567
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 15.6567
connectivity 0 3 248.094
connectivity 1 2 247.103
connectivity 3 4 131.389
connectivity 4 5 86.7645
total connect 713.35
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.97037
overlap 1 6 0
overlap 2 3 48.3838
overlap 2 4 7.5007
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 46.1277
overlap 3 6 0
overlap 4 5 113.053
overlap 4 6 0
overlap 5 6 0
total overlap = 224.036
protrusion 0 0
protrusion 1 14.0519
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 14.0519
connectivity 0 3 246.099
connectivity 1 2 249.08
connectivity 3 4 131.618
connectivity 4 5 88.1224
total connect 714.92
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.69448
overlap 1 6 0
overlap 2 3 60.8002
overlap 2 4 7.81221
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 57.4625
overlap 3 6 0
overlap 4 5 123.27
overlap 4 6 0
overlap 5 6 0
total overlap = 258.04
protrusion 0 0
protrusion 1 6.87621
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.87621
connectivity 0 3 241.303
connectivity 1 2 248.901
connectivity 3 4 127.192
connectivity 4 5 85.8282
total connect 703.225
total separate 0
total block 0
DEBUG: time 2855 iteration 80
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 5.97453
overlap 1 6 0
overlap 2 3 62.2622
overlap 2 4 6.52219
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 60.4738
overlap 3 6 0
overlap 4 5 111.157
overlap 4 6 0
overlap 5 6 0
total overlap = 246.39
protrusion 0 0
protrusion 1 15.504
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 15.504
connectivity 0 3 238.981
connectivity 1 2 249.687
connectivity 3 4 127.875
connectivity 4 5 88.2591
total connect 704.803
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 5.71232
overlap 1 6 0
overlap 2 3 63.5367
overlap 2 4 5.47025
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 63.6019
overlap 3 6 0
overlap 4 5 100.35
overlap 4 6 0
overlap 5 6 0
total overlap = 238.671
protrusion 0 0
protrusion 1 6.9232
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.9232
connectivity 0 3 236.901
connectivity 1 2 248.849
connectivity 3 4 128.501
connectivity 4 5 90.4495
total connect 704.701
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 7.08766
overlap 1 6 0
overlap 2 3 72.2939
overlap 2 4 9.27009
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 73.6581
overlap 3 6 0
overlap 4 5 108.592
overlap 4 6 0
overlap 5 6 0
total overlap = 270.901
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 232.035
connectivity 1 2 246.118
connectivity 3 4 124.452
connectivity 4 5 88.9119
total connect 691.517
total separate 0
total block 0
DEBUG: time 2884 iteration 81
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 5.6185
overlap 1 6 0
overlap 2 3 65.4203
overlap 2 4 12.0837
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 74.566
overlap 3 6 0
overlap 4 5 95.6114
overlap 4 6 0
overlap 5 6 0
total overlap = 253.3
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 229.702
connectivity 1 2 244.511
connectivity 3 4 125.453
connectivity 4 5 91.9106
total connect 691.577
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 5.9029
overlap 1 6 0
overlap 2 3 66.6674
overlap 2 4 23.4185
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 83.3038
overlap 3 6 0
overlap 4 5 101.865
overlap 4 6 0
overlap 5 6 0
total overlap = 281.158
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 224.616
connectivity 1 2 241.089
connectivity 3 4 121.77
connectivity 4 5 91.1376
total connect 678.613
total separate 0
total block 0
DEBUG: time 2905 iteration 82
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 2.59452
overlap 1 6 0
overlap 2 3 66.0192
overlap 2 4 22.7021
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 82.683
overlap 3 6 0
overlap 4 5 87.3895
overlap 4 6 0
overlap 5 6 0
total overlap = 261.388
protrusion 0 0
protrusion 1 8.33987
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 8.33987
connectivity 0 3 222.129
connectivity 1 2 241.351
connectivity 3 4 123.091
connectivity 4 5 94.7598
total connect 681.33
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 2.46889
overlap 1 6 0
overlap 2 3 65.4359
overlap 2 4 22.1087
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 82.5045
overlap 3 6 0
overlap 4 5 74.4129
overlap 4 6 0
overlap 5 6 0
total overlap = 246.931
protrusion 0 0
protrusion 1 4.4647
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.4647
connectivity 0 3 219.9
connectivity 1 2 240.045
connectivity 3 4 124.284
connectivity 4 5 98.0316
total connect 682.261
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 4.78297
overlap 1 6 0
overlap 2 3 69.0377
overlap 2 4 30.4464
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 89.5884
overlap 3 6 0
overlap 4 5 80.5259
overlap 4 6 0
overlap 5 6 0
total overlap = 274.381
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 214.911
connectivity 1 2 236.893
connectivity 3 4 120.819
connectivity 4 5 97.5642
total connect 670.187
total separate 0
total block 0
DEBUG: time 2935 iteration 83
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 1.03546
overlap 1 6 0
overlap 2 3 70.4334
overlap 2 4 26.1101
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 90.5927
overlap 3 6 0
overlap 4 5 64.0728
overlap 4 6 0
overlap 5 6 0
total overlap = 252.244
protrusion 0 0
protrusion 1 3.12787
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 3.12787
connectivity 0 3 212.546
connectivity 1 2 237.299
connectivity 3 4 122.273
connectivity 4 5 101.6
total connect 673.717
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.346422
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 1.5246
overlap 1 6 0
overlap 2 3 71.5864
overlap 2 4 22.3412
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 91.5835
overlap 3 6 0
overlap 4 5 49.8213
overlap 4 6 0
overlap 5 6 0
total overlap = 237.203
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 210.425
connectivity 1 2 236.115
connectivity 3 4 123.582
connectivity 4 5 105.238
total connect 675.36
total separate 0
part 1 blocked by volume of 0.12526
total block 0.12526
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.923913
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 4.69588
overlap 1 6 0
overlap 2 3 76.4968
overlap 2 4 27.687
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 98.7913
overlap 3 6 0
overlap 4 5 54.0402
overlap 4 6 0
overlap 5 6 0
total overlap = 262.635
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 205.534
connectivity 1 2 233.073
connectivity 3 4 120.263
connectivity 4 5 105.134
total connect 664.004
total separate 0
part 1 blocked by volume of 0.754035
total block 0.754035
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.58004
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.0117278
overlap 1 5 10.6711
overlap 1 6 0.935153
overlap 2 3 81.2015
overlap 2 4 32.5901
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 104.855
overlap 3 6 0
overlap 4 5 57.9551
overlap 4 6 0
overlap 5 6 0
total overlap = 289.8
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 201.133
connectivity 1 2 228.156
connectivity 3 4 117.315
connectivity 4 5 105.073
total connect 651.678
total separate 0
part 1 blocked by volume of 2.87247
total block 2.87247
DEBUG: time 2972 iteration 84
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.21512
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.570249
overlap 1 5 8.95975
overlap 1 6 2.89037
overlap 2 3 83.3279
overlap 2 4 25.6645
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 106.688
overlap 3 6 0
overlap 4 5 40.8944
overlap 4 6 0
overlap 5 6 0
total overlap = 272.21
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 6.77694
protrusion 6 0
total protrusion 6.77694
connectivity 0 3 200.851
connectivity 1 2 227.008
connectivity 3 4 119.064
connectivity 4 5 109.455
total connect 656.379
total separate 0
part 1 blocked by volume of 3.62004
total block 3.62004
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 4.96796
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 1.67776
overlap 1 5 7.41958
overlap 1 6 6.80452
overlap 2 3 85.2837
overlap 2 4 19.6516
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 108.556
overlap 3 6 0
overlap 4 5 31.0151
overlap 4 6 0
overlap 5 6 0
total overlap = 265.376
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 11.7487
protrusion 6 0
total protrusion 11.7487
connectivity 0 3 200.611
connectivity 1 2 225.997
connectivity 3 4 120.638
connectivity 4 5 111.694
total connect 658.94
total separate 0
part 1 blocked by volume of 3.51946
total block 3.51946
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.96069
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 4.30636
overlap 1 5 8.45542
overlap 1 6 13.5932
overlap 2 3 96.4135
overlap 2 4 22.815
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 116.032
overlap 3 6 0
overlap 4 5 36.3592
overlap 4 6 0
overlap 5 6 0
total overlap = 301.935
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 10.2792
protrusion 6 0
total protrusion 10.2792
connectivity 0 3 197.42
connectivity 1 2 223.126
connectivity 3 4 117.595
connectivity 4 5 110.359
total connect 648.5
total separate 0
part 1 blocked by volume of 4.68735
total block 4.68735
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.11801
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 10.0131
overlap 1 5 11.4921
overlap 1 6 25.6208
overlap 2 3 107.926
overlap 2 4 25.7283
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 122.646
overlap 3 6 0
overlap 4 5 41.4221
overlap 4 6 0
overlap 5 6 0
total overlap = 347.965
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 8.95658
protrusion 6 0
total protrusion 8.95658
connectivity 0 3 194.551
connectivity 1 2 218.378
connectivity 3 4 114.882
connectivity 4 5 109.16
total connect 636.971
total separate 0
part 1 blocked by volume of 8.24646
total block 8.24646
DEBUG: time 3014 iteration 85
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.91119
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 12.2512
overlap 1 5 8.65439
overlap 1 6 28.0069
overlap 2 3 96.1407
overlap 2 4 26.7297
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 124.287
overlap 3 6 0
overlap 4 5 28.351
overlap 4 6 0
overlap 5 6 0
total overlap = 327.332
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 19.4473
protrusion 6 0
total protrusion 19.4473
connectivity 0 3 195.658
connectivity 1 2 215.244
connectivity 3 4 116.386
connectivity 4 5 112.759
total connect 640.047
total separate 0
part 1 blocked by volume of 8.01339
total block 8.01339
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.72895
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 14.436
overlap 1 5 6.90444
overlap 1 6 30.2192
overlap 2 3 88.2319
overlap 2 4 27.7308
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 126.602
overlap 3 6 0
overlap 4 5 21.0606
overlap 4 6 0
overlap 5 6 0
total overlap = 317.914
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 14.5944
protrusion 6 0
total protrusion 14.5944
connectivity 0 3 196.673
connectivity 1 2 212.423
connectivity 3 4 117.747
connectivity 4 5 114.307
total connect 641.151
total separate 0
part 1 blocked by volume of 6.99968
total block 6.99968
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.70082
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 18.2265
overlap 1 5 7.45022
overlap 1 6 35.0608
overlap 2 3 88.7395
overlap 2 4 37.3276
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 134.601
overlap 3 6 0
overlap 4 5 27.11
overlap 4 6 0
overlap 5 6 0
total overlap = 349.216
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 4.32121
protrusion 6 0
total protrusion 4.32121
connectivity 0 3 194.609
connectivity 1 2 207.909
connectivity 3 4 114.506
connectivity 4 5 112.356
total connect 629.381
total separate 0
part 1 blocked by volume of 8.13094
total block 8.13094
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.70082
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 88.7395
overlap 2 4 37.3276
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 126.273
overlap 3 6 0
overlap 4 5 36.5853
overlap 4 6 0
overlap 5 6 0
total overlap = 289.626
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 194.609
connectivity 1 2 235.275
connectivity 3 4 114.506
connectivity 4 5 110.46
total connect 654.851
total separate 0
total block 0
DEBUG: time 3103 iteration 86
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.51832
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 81.4222
overlap 2 4 30.8548
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 118.039
overlap 3 6 0
overlap 4 5 23.1155
overlap 4 6 0
overlap 5 6 0
total overlap = 254.95
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 14.2927
protrusion 6 0
total protrusion 14.2927
connectivity 0 3 198.317
connectivity 1 2 236.56
connectivity 3 4 119.027
connectivity 4 5 114.459
total connect 668.363
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.40932
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 75.2021
overlap 2 4 25.0389
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 111.485
overlap 3 6 0
overlap 4 5 15.473
overlap 4 6 0
overlap 5 6 0
total overlap = 229.608
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 12.8617
protrusion 6 0
total protrusion 12.8617
connectivity 0 3 201.661
connectivity 1 2 237.721
connectivity 3 4 123.12
connectivity 4 5 116.367
total connect 678.869
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.23528
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0.88197
overlap 1 6 0
overlap 2 3 74.2517
overlap 2 4 28.3124
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 111.228
overlap 3 6 0
overlap 4 5 19.9486
overlap 4 6 0
overlap 5 6 0
total overlap = 235.858
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 5.66956
protrusion 6 0
total protrusion 5.66956
connectivity 0 3 201.676
connectivity 1 2 236.794
connectivity 3 4 122.316
connectivity 4 5 114.726
total connect 675.511
total separate 0
part 1 blocked by volume of 0.0352612
total block 0.0352612
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.23528
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 74.2517
overlap 2 4 28.3124
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 113.138
overlap 3 6 0
overlap 4 5 19.6614
overlap 4 6 0
overlap 5 6 0
total overlap = 236.599
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 201.676
connectivity 1 2 237.884
connectivity 3 4 122.316
connectivity 4 5 114.335
total connect 676.21
total separate 0
total block 0
DEBUG: time 3187 iteration 87
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.17562
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 71.7116
overlap 2 4 17.7831
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 102.856
overlap 3 6 0
overlap 4 5 11.0595
overlap 4 6 0
overlap 5 6 0
total overlap = 205.586
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 13.5035
protrusion 6 0
total protrusion 13.5035
connectivity 0 3 205.398
connectivity 1 2 239.616
connectivity 3 4 126.877
connectivity 4 5 117.855
total connect 689.746
total separate 0
total block 0
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 3.15545
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0.945308
overlap 1 6 0
overlap 2 3 69.4985
overlap 2 4 9.23981
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 94.0203
overlap 3 6 0
overlap 4 5 6.70983
overlap 4 6 0
overlap 5 6 0
total overlap = 183.569
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 11.3623
protrusion 6 0
total protrusion 11.3623
connectivity 0 3 208.754
connectivity 1 2 241.175
connectivity 3 4 131.002
connectivity 4 5 119.347
total connect 700.278
total separate 0
part 1 blocked by volume of 0.0383604
total block 0.0383604
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.85822
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 4.705
overlap 1 6 0
overlap 2 3 71.7274
overlap 2 4 9.10631
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 91.5018
overlap 3 6 0
overlap 4 5 11.5633
overlap 4 6 0
overlap 5 6 0
total overlap = 190.462
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 3.58618
protrusion 6 0
total protrusion 3.58618
connectivity 0 3 208.772
connectivity 1 2 240.602
connectivity 3 4 130.192
connectivity 4 5 117.303
total connect 696.868
total separate 0
part 1 blocked by volume of 0.153193
total block 0.153193
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.899294
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 11.0908
overlap 1 6 0
overlap 2 3 73.7311
overlap 2 4 8.99584
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 89.1748
overlap 3 6 0
overlap 4 5 16.7725
overlap 4 6 0
overlap 5 6 0
total overlap = 200.664
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 208.788
connectivity 1 2 237.907
connectivity 3 4 129.464
connectivity 4 5 115.465
total connect 691.625
total separate 0
part 1 blocked by volume of 0.719187
total block 0.719187
DEBUG: time 3224 iteration 88
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.90878
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 9.56604
overlap 1 6 0
overlap 2 3 67.8841
overlap 2 4 5.41591
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 84.5739
overlap 3 6 0
overlap 4 5 8.40855
overlap 4 6 0
overlap 5 6 0
total overlap = 176.757
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0.307644
protrusion 6 0
total protrusion 0.307644
connectivity 0 3 212.574
connectivity 1 2 237.757
connectivity 3 4 133.369
connectivity 4 5 118.141
total connect 701.842
total separate 0
part 1 blocked by volume of 1.24056
total block 1.24056
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.917345
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.19374
overlap 1 6 0
overlap 2 3 62.9646
overlap 2 4 3.03762
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 80.061
overlap 3 6 0
overlap 4 5 4.42007
overlap 4 6 0
overlap 5 6 0
total overlap = 159.594
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 215.989
connectivity 1 2 237.623
connectivity 3 4 136.896
connectivity 4 5 118.915
total connect 709.423
total separate 0
part 1 blocked by volume of 1.12243
total block 1.12243
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 9.68127
overlap 1 6 0
overlap 2 3 62.4749
overlap 2 4 5.80022
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 81.5743
overlap 3 6 0
overlap 4 5 9.20472
overlap 4 6 0
overlap 5 6 0
total overlap = 168.735
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 216.054
connectivity 1 2 235.525
connectivity 3 4 135.514
connectivity 4 5 116.222
total connect 703.315
total separate 0
part 1 blocked by volume of 1.38161
total block 1.38161
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 14.0359
overlap 1 6 0
overlap 2 3 62.0372
overlap 2 4 8.97138
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 83.0422
overlap 3 6 0
overlap 4 5 14.5091
overlap 4 6 0
overlap 5 6 0
total overlap = 182.596
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 216.114
connectivity 1 2 231.458
connectivity 3 4 134.273
connectivity 4 5 113.803
total connect 695.648
total separate 0
part 1 blocked by volume of 2.62752
total block 2.62752
DEBUG: time 3262 iteration 89
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 12.0907
overlap 1 6 2.39401
overlap 2 3 60.6748
overlap 2 4 3.62212
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 79.144
overlap 3 6 0
overlap 4 5 8.1554
overlap 4 6 0
overlap 5 6 0
total overlap = 166.081
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 218.339
connectivity 1 2 229.785
connectivity 3 4 137.68
connectivity 4 5 116.047
total connect 701.851
total separate 0
part 1 blocked by volume of 3.3213
total block 3.3213
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 1.6842
overlap 1 5 13.1317
overlap 1 6 10.074
overlap 2 3 63.1132
overlap 2 4 4.20949
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 81.5161
overlap 3 6 0
overlap 4 5 11.3227
overlap 4 6 0
overlap 5 6 0
total overlap = 185.051
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 217.329
connectivity 1 2 226.348
connectivity 3 4 136.171
connectivity 4 5 114.639
total connect 694.488
total separate 0
part 1 blocked by volume of 4.63148
total block 4.63148
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 8.96681
overlap 1 5 17.1362
overlap 1 6 22.6512
overlap 2 3 65.3826
overlap 2 4 4.84203
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 83.6869
overlap 3 6 0
overlap 4 5 14.5471
overlap 4 6 0
overlap 5 6 0
total overlap = 217.213
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 216.422
connectivity 1 2 221.113
connectivity 3 4 134.815
connectivity 4 5 113.373
total connect 685.723
total separate 0
part 1 blocked by volume of 7.91008
total block 7.91008
DEBUG: time 3291 iteration 90
DEBUG: fixing overlap
overlap 0 1 0.687785
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 11.9052
overlap 1 5 15.1315
overlap 1 6 26.6199
overlap 2 3 58.8103
overlap 2 4 4.56262
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 79.3761
overlap 3 6 0
overlap 4 5 6.87698
overlap 4 6 0
overlap 5 6 0
total overlap = 203.97
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 217.779
connectivity 1 2 217.734
connectivity 3 4 137.485
connectivity 4 5 116.827
total connect 689.826
total separate 0
part 1 blocked by volume of 9.40262
total block 9.40262
DEBUG: fixing connectivity
overlap 0 1 2.19947
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 17.4936
overlap 1 5 15.2449
overlap 1 6 33.1561
overlap 2 3 56.496
overlap 2 4 10.9664
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 81.4296
overlap 3 6 0
overlap 4 5 8.76033
overlap 4 6 0
overlap 5 6 0
total overlap = 225.746
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 215.986
connectivity 1 2 212.723
connectivity 3 4 135.317
connectivity 4 5 116.517
total connect 680.542
total separate 0
part 1 blocked by volume of 12.4842
total block 12.4842
DEBUG: fixing accessability
overlap 0 1 4.97908
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 27.2991
overlap 1 5 16.4245
overlap 1 6 44.2342
overlap 2 3 54.3251
overlap 2 4 17.9753
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 83.2548
overlap 3 6 0
overlap 4 5 11.0067
overlap 4 6 0
overlap 5 6 0
total overlap = 259.499
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 214.372
connectivity 1 2 206.039
connectivity 3 4 133.366
connectivity 4 5 116.262
total connect 670.038
total separate 0
part 1 blocked by volume of 18.9313
total block 18.9313
DEBUG: time 3325 iteration 91
DEBUG: fixing overlap
overlap 0 1 4.89077
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.746408
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 29.6396
overlap 1 5 14.1746
overlap 1 6 46.8013
overlap 2 3 51.3318
overlap 2 4 14.8023
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 77.0027
overlap 3 6 0
overlap 4 5 5.4778
overlap 4 6 0
overlap 5 6 0
total overlap = 244.867
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 214.094
connectivity 1 2 203.362
connectivity 3 4 135.668
connectivity 4 5 120.395
total connect 673.518
total separate 0
part 1 blocked by volume of 23.2922
total block 23.2922
DEBUG: fixing connectivity
overlap 0 1 4.78378
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.72591
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 34.9467
overlap 1 5 13.1727
overlap 1 6 51.6167
overlap 2 3 52.2285
overlap 2 4 20.3181
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 77.2939
overlap 3 6 0
overlap 4 5 11.0255
overlap 4 6 0
overlap 5 6 0
total overlap = 267.112
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 210.826
connectivity 1 2 199
connectivity 3 4 133.189
connectivity 4 5 120.758
total connect 663.773
total separate 0
part 1 blocked by volume of 30.3741
total block 30.3741
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.72591
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 52.2285
overlap 2 4 20.3181
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 109.963
overlap 3 6 0
overlap 4 5 10.3684
overlap 4 6 0
overlap 5 6 0
total overlap = 194.604
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 210.826
connectivity 1 2 233.668
connectivity 3 4 133.189
connectivity 4 5 115.449
total connect 693.132
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3404 iteration 92
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.36674
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 2.4007
overlap 1 6 0
overlap 2 3 48.9671
overlap 2 4 12.7081
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 93.1175
overlap 3 6 0
overlap 4 5 6.64597
overlap 4 6 0
overlap 5 6 0
total overlap = 166.206
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 6.29589
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 6.29589
connectivity 0 3 214.545
connectivity 1 2 235.414
connectivity 3 4 137.572
connectivity 4 5 117.72
total connect 705.25
total separate 0
part 0 blocked by volume of 0.0228138
total block 0.0228138
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.87314
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 4.71401
overlap 1 6 0
overlap 2 3 50.9405
overlap 2 4 6.71764
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 87.4068
overlap 3 6 0
overlap 4 5 3.83309
overlap 4 6 0
overlap 5 6 0
total overlap = 156.485
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 4.0845
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 4.0845
connectivity 0 3 215.785
connectivity 1 2 236.986
connectivity 3 4 139.325
connectivity 4 5 119.776
total connect 711.871
total separate 0
part 0 blocked by volume of 0.169779
total block 0.169779
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.49359
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.89173
overlap 1 6 0
overlap 2 3 56.3015
overlap 2 4 7.6655
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 88.6594
overlap 3 6 0
overlap 4 5 4.46079
overlap 4 6 0
overlap 5 6 0
total overlap = 167.472
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 213.875
connectivity 1 2 236.423
connectivity 3 4 136.267
connectivity 4 5 118.171
total connect 704.736
total separate 0
part 0 blocked by volume of 0.0210508
total block 0.0210508
DEBUG: updating best solution
DEBUG: fixing accessability
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.89173
overlap 1 6 0
overlap 2 3 56.3015
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 88.6594
overlap 3 6 0
overlap 4 5 0
overlap 4 6 2.6196
overlap 5 6 0
total overlap = 156.472
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 278.951
connectivity 1 2 236.423
connectivity 3 4 185.282
connectivity 4 5 174.107
total connect 874.764
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3467 iteration 93
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.52569
overlap 1 6 0
overlap 2 3 47.7927
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 71.2104
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.564903
overlap 5 6 0
total overlap = 128.094
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 2.263
protrusion 4 1.95514
protrusion 5 0
protrusion 6 0
total protrusion 4.21814
connectivity 0 3 281.013
connectivity 1 2 237.256
connectivity 3 4 186.689
connectivity 4 5 173.513
total connect 878.471
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 8.20258
overlap 1 6 0
overlap 2 3 44.9052
overlap 2 4 0
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 64.5159
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.334083
overlap 5 6 0
total overlap = 117.958
protrusion 0 0
protrusion 1 0.410051
protrusion 2 0
protrusion 3 0.00980384
protrusion 4 1.35551
protrusion 5 0
protrusion 6 0
total protrusion 1.77537
connectivity 0 3 280.862
connectivity 1 2 238.006
connectivity 3 4 185.311
connectivity 4 5 170.994
total connect 875.174
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 9.80972
overlap 1 6 0
overlap 2 3 45.6826
overlap 2 4 0.283873
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 64.3602
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.204884
overlap 5 6 0
total overlap = 120.341
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0.0153265
protrusion 5 0
protrusion 6 0
total protrusion 0.0153265
connectivity 0 3 277.691
connectivity 1 2 236.704
connectivity 3 4 179.296
connectivity 4 5 165.145
total connect 858.836
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3498 iteration 94
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 10.6075
overlap 1 6 0
overlap 2 3 37.9495
overlap 2 4 2.07434
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 46.5022
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.00846113
overlap 5 6 0
total overlap = 97.142
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 276.901
connectivity 1 2 236.358
connectivity 3 4 178.656
connectivity 4 5 160.848
total connect 852.764
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 12.8523
overlap 1 6 0
overlap 2 3 34.3709
overlap 2 4 6.90126
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 36.8274
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0
overlap 5 6 0
total overlap = 90.9518
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 273.155
connectivity 1 2 234.07
connectivity 3 4 173.331
connectivity 4 5 153.447
total connect 834.003
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3517 iteration 95
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 13.5644
overlap 1 6 0
overlap 2 3 23.6883
overlap 2 4 9.66889
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 13.0691
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.00294383
overlap 5 6 0
total overlap = 59.9937
protrusion 0 0
protrusion 1 8.37035
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 8.37035
connectivity 0 3 271.846
connectivity 1 2 233.674
connectivity 3 4 172.769
connectivity 4 5 145.295
total connect 823.585
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 15.7828
overlap 1 6 0
overlap 2 3 14.0741
overlap 2 4 11.7603
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 3.23034
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.0796545
overlap 5 6 0
total overlap = 44.9271
protrusion 0 0
protrusion 1 17.5603
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 17.5603
connectivity 0 3 270.671
connectivity 1 2 231.913
connectivity 3 4 172.331
connectivity 4 5 137.973
total connect 812.888
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 18.0591
overlap 1 6 0
overlap 2 3 8.53791
overlap 2 4 15.2909
overlap 2 5 0
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0.504918
overlap 3 6 0
overlap 4 5 0
overlap 4 6 0.135763
overlap 5 6 0
total overlap = 42.5286
protrusion 0 0
protrusion 1 20.5659
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 20.5659
connectivity 0 3 266.585
connectivity 1 2 228.379
connectivity 3 4 167.319
connectivity 4 5 127.87
total connect 790.154
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3547 iteration 96
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 13.3865
overlap 1 6 0
overlap 2 3 0
overlap 2 4 17.1833
overlap 2 5 3.44102
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 7.50456
overlap 4 6 0.637791
overlap 5 6 0
total overlap = 42.1531
protrusion 0 0
protrusion 1 34.9065
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 34.9065
connectivity 0 3 264.924
connectivity 1 2 227.907
connectivity 3 4 166.815
connectivity 4 5 116.806
total connect 776.451
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 10.4409
overlap 1 6 0
overlap 2 3 0
overlap 2 4 23.375
overlap 2 5 11.7331
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 34.9539
overlap 4 6 1.26701
overlap 5 6 0
total overlap = 81.7699
protrusion 0 0
protrusion 1 32.9035
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 32.9035
connectivity 0 3 263.433
connectivity 1 2 225.386
connectivity 3 4 166.579
connectivity 4 5 106.876
total connect 762.274
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 6.89448
overlap 1 6 0
overlap 2 3 0
overlap 2 4 38.6058
overlap 2 5 22.9745
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 87.2292
overlap 4 6 1.20846
overlap 5 6 0
total overlap = 156.912
protrusion 0 0
protrusion 1 27.6375
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 27.6375
connectivity 0 3 259.084
connectivity 1 2 221.2
connectivity 3 4 161.968
connectivity 4 5 94.4618
total connect 736.714
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3578 iteration 97
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0.465129
overlap 1 6 0
overlap 2 3 0
overlap 2 4 42.8506
overlap 2 5 27.3689
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 114.689
overlap 4 6 1.52034
overlap 5 6 0
total overlap = 186.894
protrusion 0 0
protrusion 1 24.8922
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 24.8922
connectivity 0 3 255.171
connectivity 1 2 221.04
connectivity 3 4 160.727
connectivity 4 5 87.3943
total connect 724.332
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 50.5832
overlap 2 5 31.2383
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 139.514
overlap 4 6 1.74176
overlap 5 6 0
total overlap = 223.078
protrusion 0 0
protrusion 1 9.37645
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 9.37645
connectivity 0 3 251.65
connectivity 1 2 219.713
connectivity 3 4 159.791
connectivity 4 5 81.1293
total connect 712.283
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 0
overlap 2 3 0
overlap 2 4 66.7516
overlap 2 5 38.5378
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 180.262
overlap 4 6 0.811829
overlap 5 6 0
total overlap = 286.363
protrusion 0 0
protrusion 1 2.75362
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.75362
connectivity 0 3 245.497
connectivity 1 2 216.646
connectivity 3 4 154.574
connectivity 4 5 72.0841
total connect 688.801
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: time 3609 iteration 98
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.128274
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 1.98072
overlap 2 3 0
overlap 2 4 73.8262
overlap 2 5 38.4014
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 193.492
overlap 4 6 0.410581
overlap 5 6 0
total overlap = 308.239
protrusion 0 0
protrusion 1 2.24501
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 2.24501
connectivity 0 3 239.96
connectivity 1 2 215.671
connectivity 3 4 152.23
connectivity 4 5 68.6679
total connect 676.529
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing protrusion
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.79359
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 12.1851
overlap 2 3 0
overlap 2 4 80.4382
overlap 2 5 38.2769
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 205.401
overlap 4 6 0.132269
overlap 5 6 0
total overlap = 338.227
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 234.977
connectivity 1 2 212.987
connectivity 3 4 150.231
connectivity 4 5 65.67
total connect 663.865
total separate 0
total block 0
DEBUG: updating best solution
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 1.63451
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 28.6055
overlap 2 3 0
overlap 2 4 93.0724
overlap 2 5 41.9921
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0
overlap 3 6 0
overlap 4 5 234.349
overlap 4 6 0
overlap 5 6 0
total overlap = 399.654
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 227.539
connectivity 1 2 208.615
connectivity 3 4 144.035
connectivity 4 5 59.549
total connect 639.738
total separate 0
total block 0
DEBUG: time 3640 iteration 99
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 2.15555
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0
overlap 1 5 0
overlap 1 6 34.2504
overlap 2 3 0.411211
overlap 2 4 96.2057
overlap 2 5 38.6835
overlap 2 6 0
overlap 3 4 0
overlap 3 5 0.333573
overlap 3 6 0
overlap 4 5 236.731
overlap 4 6 0
overlap 5 6 0
total overlap = 408.771
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 222.39
connectivity 1 2 208.371
connectivity 3 4 140.434
connectivity 4 5 58.8143
total connect 630.009
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.606766
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.105021
overlap 1 5 0
overlap 1 6 41.6351
overlap 2 3 11.6628
overlap 2 4 105.847
overlap 2 5 39.5113
overlap 2 6 0
overlap 3 4 0
overlap 3 5 5.62862
overlap 3 6 0
overlap 4 5 253.98
overlap 4 6 0
overlap 5 6 0
total overlap = 458.977
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 214.825
connectivity 1 2 206.176
connectivity 3 4 132.804
connectivity 4 5 54.7157
total connect 608.521
total separate 0
total block 0
DEBUG: time 3660 iteration 100
DEBUG: fixing overlap
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0.219006
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 0.793701
overlap 1 5 0
overlap 1 6 40.7039
overlap 2 3 15.902
overlap 2 4 111.211
overlap 2 5 31.2139
overlap 2 6 0
overlap 3 4 0
overlap 3 5 13.4936
overlap 3 6 0
overlap 4 5 249.418
overlap 4 6 0
overlap 5 6 0
total overlap = 462.956
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 211.509
connectivity 1 2 207.315
connectivity 3 4 130.25
connectivity 4 5 55.7001
total connect 604.775
total separate 0
total block 0
DEBUG: fixing connectivity
overlap 0 1 0
overlap 0 2 0
overlap 0 3 0
overlap 0 4 0
overlap 0 5 0
overlap 0 6 0
overlap 1 2 0
overlap 1 3 0
overlap 1 4 4.05348
overlap 1 5 0.0268406
overlap 1 6 42.3839
overlap 2 3 23.2377
overlap 2 4 122.354
overlap 2 5 27.7144
overlap 2 6 0
overlap 3 4 0
overlap 3 5 32.3125
overlap 3 6 0
overlap 4 5 261.073
overlap 4 6 0
overlap 5 6 0
total overlap = 513.156
protrusion 0 0
protrusion 1 0
protrusion 2 0
protrusion 3 0
protrusion 4 0
protrusion 5 0
protrusion 6 0
total protrusion 0
connectivity 0 3 205.617
connectivity 1 2 206.37
connectivity 3 4 123.588
connectivity 4 5 53.1836
total connect 588.759
total separate 0
total block 0
